jQuery(document).ready(function(){
	jQuery('#npr_main_menu > li > a').click(function(){
		if(jQuery(this).parent().hasClass('selected') == false) {
			var boxid = jQuery(this).attr('rel');
			jQuery('#npr_main_content_area > div').hide();
			jQuery('#'+boxid).fadeIn();
			jQuery('#npr_main_menu > li').removeClass('selected');
			jQuery(this).parent().addClass('selected');
		}
		return false;
	});
	jQuery('.npr_top_tabs > li > a').click(function() {
		if(jQuery(this).parent().hasClass('selected') == false) {
			var boxid = jQuery(this).attr('rel');
			var tab = jQuery('#'+boxid);
			var inner = tab.parent().attr('id');
			var main_div = jQuery('#'+inner).parent().attr('id');
			
			jQuery('#'+inner+' > div').hide();
			tab.fadeIn();
			jQuery('#'+main_div+' > .npr_top_tabs > li').removeClass('selected');
			jQuery(this).parent().addClass('selected');
		}
		return false;	
	});
	jQuery('#npr_npanel_fullscreen').click(function(){
		jQuery('body').toggleClass('npr_fullscreen');
		//jQuery('#npr_npanel_fullscreen > i').toggleClass('fa fa-arrows');
	});
	jQuery('a.npr_opt_checkbox').each(function(index) {
		var endis = jQuery(this).attr('rel');
		var current = jQuery('#'+endis).val();
		if(current == 'false') {
			npr_set_checkbox_disabled(jQuery(this));
		} else {
			npr_set_checkbox_enabled(jQuery(this));
		}
		jQuery(this).click(function() {
			npr_checkbox_toggle(jQuery(this));
			return false;
		});
	});
	jQuery('.npr_post_info_box').each(function(index) {
		var box = jQuery(this);
		var input = jQuery(this).find('input[type=hidden]');
		var curr_roles = input.val().split('|');
		for(i=0;i<curr_roles.length;i++) {
			acurr = curr_roles[i];
			jQuery(this).find("a[name="+acurr+"]").addClass("npr_post_info_selected");
		}
		jQuery(this).find("a").each(function(i2){
			if(!jQuery(this).hasClass("npr_post_info_selected")) {
				jQuery(this).addClass("npr_post_info_not_selected");
			}
			jQuery(this).click(function(){
				npr_admin_post_info_box_update(jQuery(this),input,box);
				return false;
			});
		});
	});
	jQuery('#npr_save_buttons').draggable();
	var fileInput = '',
		fileTitle = '',
		filePreview = '',
		fileInterval;

	jQuery('.npr_upload_button').click(function() {
		fileInput = jQuery(this).parents('.npr_con_description').find('.npr_upload_field_line').find('input.npr_upload_field');
		fileTitle = jQuery(this).parents('.npr_option_box').find('h3').text();
		filePreview = jQuery(this).parents('.npr_con_description').find('.npr_upl_prev').find('img');
		fileInterval = setInterval( function() {
			jQuery('#TB_iframeContent').contents().find('.savesend .button').val('Use for ' + fileTitle);
		}, 2000 );
		tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
		return false;
	});
	jQuery('.npr_upload_reset').click(function() {
		jQuery(this).parent().find('input.npr_upload_field').val('');
		jQuery(this).parents('.npr_con_description').find('.npr_upl_prev').find('img').attr('src',npr_blank_img_url);
	});
	window.original_send_to_editor = window.send_to_editor;
	window.send_to_editor = function(html){
		if (fileInput) {
			clearInterval(fileInterval);
			fileurl = jQuery('img',html).attr('src');
			fileInput.val(fileurl);
			filePreview.attr('src',fileurl);
			tb_remove();
		} else {
			window.original_send_to_editor(html);
		}
	};

});

function npr_admin_post_info_box_update(button,input,box) {
	var new_roles = '';
	if(button.hasClass("npr_post_info_selected")) {
		button.removeClass("npr_post_info_selected");
		button.addClass("npr_post_info_not_selected");
	} else {
		button.addClass("npr_post_info_selected");
		button.removeClass("npr_post_info_not_selected");
	}
	box.find("a").each(function(index){
		if(jQuery(this).hasClass("npr_post_info_selected")) new_roles = new_roles + '' + jQuery(this).attr('name') + '|';
	});
	input.val(new_roles);
}

function npr_set_checkbox_enabled(checkbox) {
	var endis = checkbox.attr('rel');
	var btntext = '<i class="fa fa-check icon"></i> '+jQuery('#'+endis+'_enabled').val();
	var append = jQuery('#'+endis+'_append').val();
	if(append != '')
		jQuery('#npr_'+append+'_box').removeClass('npr_opacity');
	checkbox.removeClass('npr_unchecked');
	checkbox.addClass('npr_checked');
	checkbox.html(btntext);
	jQuery('#'+endis).val('true');
}

function npr_set_checkbox_disabled(checkbox) {
	var endis = checkbox.attr('rel');
	var btntext = '<i class="fa fa-times icon"></i>'+jQuery('#'+endis+'_disabled').val();
	var append = jQuery('#'+endis+'_append').val();
	if(append != '')
		jQuery('#npr_'+append+'_box').addClass('npr_opacity');
	checkbox.removeClass('npr_checked');
	checkbox.addClass('npr_unchecked');
	checkbox.html(btntext);
	jQuery('#'+endis).val('false');
}

function npr_checkbox_toggle(checkbox) {
	var endis = checkbox.attr('rel');
	var current = jQuery('#'+endis).val();
	if(current == 'false') {
		npr_set_checkbox_enabled(checkbox);
	} else {
		npr_set_checkbox_disabled(checkbox);
	}
}

function npr_gen_postlist_beta(listid,maxitem) {
	var $gallery = jQuery("#npr_post_list_container_"+listid),
      $trash = jQuery("#npr_post_list_target_"+listid);
	  
	  jQuery("#npr_post_list_target_sort_"+listid).sortable({ }).droppable({
	
      accept: "#npr_post_list_container_"+listid+"  li",
      activeClass: "ui-state-highlight",
      drop: function( event, ui ) {
		//alert(ui.draggable.attr('class'));
        deleteImage( ui.draggable );
		//ui.draggable.remove();
      }
    });
 
    // let the gallery items be draggable
    jQuery( "li", $gallery ).draggable({
		connectToSortable: "#npr_post_list_target_sort_"+listid,
      revert: "invalid", // when not dropped, the item will revert back to its initial position
      containment: "document",
      helper: "clone",
      cursor: "move",
	  activate: function( event, ui ) {console.log('dragactive')}
    });
 
    // let the trash be droppable, accepting the gallery items
    /*$trash.droppable({
	
      accept: "#npr_post_list_container_"+listid+"  li",
      activeClass: "ui-state-highlight",
      drop: function( event, ui ) {
		//alert(ui.draggable.attr('class'));
        deleteImage( ui.draggable );
		jQuery("#npr_post_list_target_sort_"+listid).sortable('destroy');
		jQuery("#npr_post_list_target_sort_"+listid).sortable({ });
		//ui.draggable.remove();
      }
    });*/
	
	// let the gallery be droppable as well, accepting items from the trash
    $gallery.droppable({
      accept: "#npr_post_list_target_"+listid+"  li",
      activeClass: "ui-state-highlight",
      drop: function( event, ui ) {
        recycleImage( ui.draggable );
		jQuery("#npr_post_list_target_sort_"+listid).sortable('destroy');
		jQuery("#npr_post_list_target_sort_"+listid).sortable({ });
      }
    });
	
    function deleteImage( $item ) {
		/*var $list = jQuery( "ul", $trash ).length ?
          jQuery( "ul", $trash ) :
          jQuery( "<ul class='gallery ui-helper-reset'/>" ).appendTo( $trash );
		  $item.appendTo( $list );
      $item.remove();*/
    }
	
    function recycleImage( $item ) {
		var $list = jQuery( "ul", $gallery ).length ?
          jQuery( "ul", $gallery ) :
          jQuery( "<ul class='gallery ui-helper-reset'/>" ).appendTo( $gallery );
		$item.appendTo( $list );
      $item.remove();
    }
	
	
}

function npr_gen_postlist(listid,maxitem) {
	var target = jQuery("#npr_post_list_target_sort_"+listid);
	var postlist = jQuery("#npr_post_list_container_"+listid);
	var nopost = jQuery("#npr_post_list_no_pages_"+listid);
	var noallpost = jQuery("#npr_post_list_no_all_pages_"+listid);
	var allelem = jQuery("#npr_post_list_all_"+listid);
	var postinput = jQuery("#npr_list_list_input_"+listid);
	
	allelem.find('li').click(function(){
		var elem = jQuery(this);
		var wlist = elem.parent('.npr_post_list');
		if(wlist.hasClass('npr_post_target')) {
			var add = postlist;
		} else {
			var add = target;
			var cnum = target.children('li').length;
			if(cnum >= maxitem) {
				return;
			}
		}
		elem.fadeOut(200,function(){
			add.append(elem);
			elem.fadeIn(200);
			if(target.children('li').length == 0) {
				nopost.fadeIn(200);
			} else {
				nopost.fadeOut(200);
			}
			if(postlist.children('li').length == 0) {
				noallpost.fadeIn(200);
			} else {
				noallpost.fadeOut(200);
			}
			changeSorting();
		});
	});
	
	target.sortable({stop: function( event, ui ) {changeSorting();}});
	target.disableSelection();
	postlist.disableSelection();
	
	function changeSorting() {
		var allitem = target.sortable("toArray",{'attribute' : 'data-postid'});
		var constr = allitem.join(',');
		postinput.val(constr);
	}
	
}


function npr_gen_sidebar_selector(name) {
	var selectors = jQuery('#npr_widget_select_'+name);
	var vvalue = jQuery('#npr_sidebar_selector_'+name);
	selectors.find('a').click(function(){
		selectors.find('a').removeClass('selected');
		var copts = jQuery(this).attr('rel');
		vvalue.val(copts);
		jQuery(this).addClass('selected');
		return false;
	});
}

function deleteImage() {  }

/*function npr_panel_loader() { jQuery("#npr_save_loader").show(); }
function npr_panel_loader_ok() { jQuery("#npr_save_loader").hide(); }*/
function npr_panel_loader() { jQuery("#npr_save_btn").addClass('npr_submit_saving'); }
function npr_panel_loader_ok() { jQuery("#npr_save_btn").removeClass('npr_submit_saving'); }

function npr_admin_save_options() {
	npr_panel_loader();
	jQuery.post(npr_save_url + '&t='+Date.now()+'&ajq=1',jQuery("#npr_configs_form").serialize(),function(data) {
		if(data == 1) {
			/*jQuery("#npr_save_ok").show(0,function(){
				var t = setTimeout(function(){jQuery("#npr_save_ok").fadeOut(300);},1500)
			});*/
			jQuery("#npr_save_btn").animate({backgroundColor:'#a5cc52',borderColor:'#87ae47'},200,function(){
				jQuery("#npr_save_btn").html('<b>Saved!</b>').addClass('npr_submit_saved');
				npr_panel_loader_ok();
				var t = setTimeout(function(){jQuery("#npr_save_btn").animate({backgroundColor:'#5abaf6',borderColor:'#44a9e8'},500,function(){jQuery("#npr_save_btn").html(dbt).removeClass('npr_submit_saved');});},3000)
			});
		} else {
			jQuery("#npr_save_error").show(0,function(){
				var t = setTimeout(function(){jQuery("#npr_save_error").fadeOut(300);},1500)
			});
		}
	});
	return false;
}