(function($) {
	
	wp.customize(theme_slug + '_styles[header_font]', function(value) {
		value.bind(function(opt) {
			var fontOpts = opt.split('|');
			var fontCss = fontOpts[1];
			var fontFile = fontOpts[2];
			
			$("#npr_css_header_font").remove();
			$("#npr_css_header_font_file").remove();
			
			$("body").append('<link rel="stylesheet" href="' + fontFile + '" id="npr_css_header_font_file" type="text/css" />');
			$("body").append('<style type="text/css" id="npr_css_header_font"></style>');
			
			var style_em = $("#npr_css_header_font");
			
			style_em.append("h1,h2,h3,h4,h5,h6 { font-family: " + fontCss + "; }" + 
							"h1.title, #reply-title { font-family: " + fontCss + "; }" +
							".content-title h1, .content-title h1 a { font-family: " + fontCss + "; }" +
							".gallery-list li h2 { font-family: " + fontCss + "; }" +
							"#top_info { font-family: " + fontCss + "; }" +
							".hmb_content h3 a { font-family: " + fontCss + "; }" +
							"#npr_home_slider h1 a { font-family: " + fontCss + "; }" +
							".footer_widget .sidebar-widget h2 { font-family: " + fontCss + "; } "
							);
			
			
			
		});
	});
	
	
	wp.customize(theme_slug + '_styles[body_font]', function(value) {
		value.bind(function(opt) {
			var fontOpts = opt.split('|');
			var fontCss = fontOpts[1];
			var fontFile = fontOpts[2];
			
			$("#npr_css_body_font").remove();
			$("#npr_css_body_font_file").remove();
			
			$("body").append('<link rel="stylesheet" href="' + fontFile + '" id="npr_css_body_font_file" type="text/css" />');
			$("body").append('<style type="text/css" id="npr_css_body_font"></style>');
			
			var style_em = $("#npr_css_body_font");
			
			style_em.append("body { font-family: " + fontCss + "; }" + 
							"a { font-family: " + fontCss + "; }" +
							"textarea,input,select { font-family: " + fontCss + "; }" 
							);
			
			
			
		});
	});
	
	
	wp.customize(theme_slug + '_styles[slider_bg]', function(value) {
		value.bind(function(opt) {
			$("#npr_css_slider_color").remove();
			$("body").append('<style type="text/css" id="npr_css_slider_color"></style>');
			var style_em = $("#npr_css_slider_color");
			
			style_em.append('.bx-wrapper { background: ' + opt + '; }');
		});
	});
	
	wp.customize(theme_slug + '_styles[header_color]', function(value) {
		value.bind(function(opt) {
			$("#npr_css_header_color").remove();
			$("body").append('<style type="text/css" id="npr_css_header_color"></style>');
			var style_em = $("#npr_css_header_color");
			
			style_em.append('#header_container { background-color: ' + opt + '; }' +
							'#main_header { background-color: ' + opt + '; }' +
							'.sidebar-widget { border-bottom: 4px solid ' + opt + '; }' +
							'.sidebar-widget ul li:hover a .icon { color: ' + opt + '; }' +
							'.npr_home_tabs li.npr_tab_active, .npr_home_tabs li:hover {' +
							'	background-color: ' + opt + ';' +
							'}' +
							'.npr_home_tabs { border-bottom: 4px solid ' + opt + '; }');
		});
	});
	
	wp.customize(theme_slug + '_styles[header_shadow]', function(value) {
		value.bind(function(opt) {
			$("#npr_css_header_shadow").remove();
			$("body").append('<style type="text/css" id="npr_css_header_shadow"></style>');
			var style_em = $("#npr_css_header_shadow");
			
			style_em.append('#top_searchbox { border: 1px solid '+opt+'; } ' +
							'#main_nav ul > li > a:hover,' +
							'#main_nav ul > li.current-menu-item > a,' +
							'#main_nav ul > li.current-page-parent > a {' +
							'	color: '+opt+';' +
							'}' +
							'.npr_home_tabs li.npr_tab_active, .npr_home_tabs li:hover { ' +
							'	-webkit-box-shadow:  0px 0px 20px 0px rgba(0, 0, 0, .1),  inset 0px 0px 20px 0px ' + opt + '; ' +
							'	box-shadow:  0px 0px 20px 0px rgba(0, 0, 0, .1), inset 0px 0px 20px 0px ' + opt + '; ' +
							'}' +
							'#footer_nav ul > li > a:hover,' +
							'#footer_nav ul > li.current-menu-item > a,' +
							'#footer_nav ul > li.current-page-parent > a {' +
							'	color: ' + opt + ';' +
							'}' +
							'#footer_nav ul > li > ul.sub-menu > li.current-page-parent > a .fa-chevron-right { color: ' + opt + '; }' +
							'/* FOOTER NAV */' +
							'#footer_nav ul > li > a:hover,' +
							'#footer_nav ul > li.current-menu-item > a,' +
							'#footer_nav ul > li.current-page-parent > a {' +
							'	color: ' + opt + ';' +
							'}' +
							'#footer_nav ul > li > ul.sub-menu > li.current-page-parent > a .fa-chevron-right { color: ' + opt + '; }' +
							'.header_shadow {' +
							'	-webkit-box-shadow:  0px 0px 50px 0px rgba(0, 0, 0, .1),  inset 0px 0px 50px 0px ' + opt + ';' +
							'	box-shadow:  0px 0px 50px 0px rgba(0, 0, 0, .1), inset 0px 0px 50px 0px ' + opt + ';' +
							'}' +
							'#mobile_header a.mobile_menu { color: ' + opt + '; }' +
							'#mobile_header_nav_open ul > li > a:hover,' +
							'#mobile_header_nav_open ul > li.current-menu-item > a,' +
							'#mobile_header_nav_open ul > li.current-page-parent > a {' +
							'	color: ' + opt + ';' +
							'}' +
							'#mobile_header_nav_open ul > li > a:hover .fa-chevron-right,' +
							'#mobile_header_nav_open ul > li.current-menu-item > a .fa-chevron-right,' +
							'#mobile_header_nav_open ul > li.current-page-parent > a .fa-chevron-right { color: ' + opt + '; }	' +
							'#mobile_footer_nav_open ul > li > a:hover,' +
							'#mobile_footer_nav_open ul > li.current-menu-item > a,' +
							'#mobile_footer_nav_open ul > li.current-page-parent > a {' +
							'	color: ' + opt + ';' +
							'}	' +
							'#mobile_footer_nav_open ul > li > a:hover .fa-chevron-right,' +
							'#mobile_footer_nav_open ul > li.current-menu-item > a .fa-chevron-right,' +
							'#mobile_footer_nav_open ul > li.current-page-parent > a .fa-chevron-right { color: ' + opt + '; }');

		});
	});
	
	/*wp.customize(theme_slug + '_styles[background]', function(value) {
		value.bind(function(opt) {
			$('body').css('background-color', opt);
		});
	});*/

	wp.customize(theme_slug + '_styles[subtheme]',function( value ) {
		value.bind(function(opt) {
			$("#subtheme").remove();
			$('body').append('<link rel="stylesheet" href="' + opt + '" id="subtheme" />');
		});
	});
} )( jQuery );