<?php

define('NPR_PREFIX','npr_above_skyline_demo');

$theme_name = 'Above Skyline';
$theme_slug = 'above_skyline_demo';
$theme_version = 1.0;

$sirlorem_url = 'http://sirlorem.com/';
$nicepress_login_url = $sirlorem_url.'login/';
$theme_help_url = $sirlorem_url.'guide/'.$theme_slug.'/';
$support_forum_url = $sirlorem_url.'forum/';
$contact_us_url = $sirlorem_url.'contact/';
$affiliate_url = $sirlorem_url.'affiliate/';

$seo_learn_more = $sirlorem_url.'guide/seo/';

$fields = array(
				'logo','favicon','searchbox','bottom_widget',
				'responsive_enabled','callnow_button','location_button','callnow_number','location_url','homescreen_bubble','homescreen_icon',
				'facebook_button','twitter_button','gplus_button','facebook_url','twitter_url','gplus_url',
				'affiliate_id',
				'seo_enabled','default_meta_description','default_meta_keywords','post_title_pattern','post_title_separator','enable_meta_desc','enable_meta_keywords','category_title_separator','category_title_pattern','homepage_title',
				'single_post_info','single_post_image','single_post_comment','single_post_tags','single_page_image','single_page_comment',
				'featured_slider','featured_slider_pages','featured_slider_category','slider_show_posts','slider_number_posts','slider_auto_animation','slider_animation_speed',
				'home_tabs','tabs_pages','mini_boxes','mini_boxes_item',
				'tracking_code_head','tracking_code_footer',
				'sidebar_position'
);

$npr_theme_config = array(
					'general_settings' => array(),
					'home_layout' => array(),
					'mobile' => array(),
					'seo' => array(),
					'soc' => array(),
					'help' => array(),
					'details'	=> array()
);



$npr_theme_config['general_settings'] = array(
	'id' => 'general_settings',
	'button' => 'General Settings',
	'icon' => 'fa-pencil',
	'tabs' => array(
		'general' => array(
			'id' => 'general',
			'tab_title' => __('General','above_skyline_demo'),
			'title' => '',
			'icon' => 'fa-pencil',
			'desciption' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_general_logo',
					'type' => 'image_upload',
					'title' => __('Header Logo','above_skyline_demo'),
					'icon' => 'fa-picture-o',
					'default' => '',
					'value' => npr_option('logo',''),
					'name' => 'logo',
					'is_logo' => true,
					'preview' => true
				),
				array(
					'id' => $theme_slug.'_general_favicon',
					'type' => 'image_upload',
					'title' => __('Favicon','above_skyline_demo'),
					'icon' => 'fa-picture-o',
					'default' => '',
					'value' => npr_option('favicon',''),
					'name' => 'favicon',
					'is_logo' => false,
					'preview' => false
				),
				array(
					'id' => $theme_slug.'_general_searchbox',
					'type' => 'checkbox',
					'title' => __('Show Search on Header','above_skyline_demo'),
					'icon' => 'fa-search',
					'default' => 'true',
					'value' => npr_option('searchbox','true'),
					'name' => 'searchbox',
					'enabled' => 'Shown',
					'disabled' => 'Not Shown',
					'half' => true,
					'class' => 'npr_half_left',
				),
				array(
					'id' => $theme_slug.'_general_bottom_widget',
					'type' => 'checkbox',
					'title' => __('Show Bottom Widget Area','above_skyline_demo'),
					'icon' => 'fa-search',
					'default' => 'true',
					'value' => npr_option('bottom_widget','true'),
					'name' => 'bottom_widget',
					'enabled' => 'Shown',
					'disabled' => 'Not Shown',
					'half' => true,
					'class' => 'npr_half_right',
					'clear' => true
				),
				array(
					'id' => $theme_slug.'_sidebar_position',
					'type' => 'widget_select',
					'title' => __('Default Sidebar Position','above_skyline_demo'),
					'icon' => 'fa-flickr',
					'default' => '1',
					'value' => npr_option('sidebar_position','3'),
					'name' => 'sidebar_position',
					'available' => array(1,2,3)
				)				
			)
		),
		'tracking' => array(
			'id' => 'tracking',
			'tab_title' => __('Tracking codes','above_skyline_demo'),
			'title' => '',
			'icon' => 'fa-home',
			'desciption' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_tracking_info',
					'type' => 'infobox',
					'icon' => 'fa-info',
					'title' => __('Tracking code info','above_skyline_demo'),
					'content' => __('Paste your tracking codes here, for example your Google Adsense code','above_skyline_demo')
				),
				array(
					'id' => $theme_slug.'_tracking_bottom',
					'type' => 'textbox',
					'icon' => 'fa-code',
					'title' => __('Tracking code in footer (paste Google Adsense code here)','above_skyline_demo'),
					'default' => '',
					'value' => npr_option('tracking_code_footer',''),
					'name' => 'tracking_code_footer'
				),
				array(
					'id' => $theme_slug.'_tracking_head',
					'type' => 'textbox',
					'icon' => 'fa-code',
					'title' => __('Tracking code in &lthead&gt;','above_skyline_demo'),
					'default' => '',
					'value' => npr_option('tracking_code_head',''),
					'name' => 'tracking_code_head'
				),
			)
		)
	)
);

$npr_theme_config['home_layout'] = array(
	'id' => 'home_layout',
	'button' => 'Homepage',
	'icon' => 'fa-home',
	'tabs' => array(
		'featured_slider' => array(
			'id' => 'featured_slider',
			'tab_title' => __('Slider','above_skyline_demo'),
			'icon' => 'fa-flickr',
			'description' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_home_layout_slider_show',
					'type' => 'checkbox',
					'title' => __('Show Featured Slider','above_skyline_demo'),
					'icon' => 'fa-flickr',
					'default' => 'true',
					'value' => npr_option('featured_slider','true'),
					'name' => 'featured_slider',
					'enabled' => 'Shown',
					'disabled' => 'Not Shown',
					'half' => true,
					'class' => 'npr_half_left',
					'clear' => true
				),
				array(
					'id' => $theme_slug.'_home_layout_slider_pages',
					'type' => 'post_list',
					'title' => __('Pages to show','above_skyline_demo'),
					'icon' => 'fa-file-o',
					'default' => '',
					'value' => npr_option('featured_slider_pages',''),
					'name' => 'featured_slider_pages',
					'max_item' => 0,
					'no_items' => __('No pages selected for featured slider','above_skyline_demo'),
					'click_on' => __('Click on pages you\'d want to show','above_skyline_demo'),
					'reorder' => __('Drag and drop to reorder','above_skyline_demo')
				),
				array(
					'id' => $theme_slug.'_home_layout_show_posts',
					'type' => 'checkbox',
					'title' => __('Show Posts Instead of Pages','above_skyline_demo'),
					'icon' => 'fa-list',
					'default' => 'false',
					'value' => npr_option('slider_show_posts','false'),
					'name' => 'slider_show_posts',
					'enabled' => 'Show',
					'disabled' => 'Don\'t show',
					'half' => true,
					'clear' => true,
					'class' => 'npr_half_left',
					'append' => 'featured_slider_category'
				),
				array(
					'id' => $theme_slug.'_home_layout_select_category',
					'type' => 'category_select',
					'title' => __('Recent Posts Category','above_skyline_demo'),
					'icon' => 'fa-list',
					'default' => '',
					'value' => npr_option('featured_slider_category',''),
					'name' => 'featured_slider_category'
				),
				array(
					'id' => $theme_slug.'_home_layout_slide_number',
					'type' => 'text',
					'title' => __('Number of Recent Posts','above_skyline_demo'),
					'icon' => 'fa-check-empty',
					'default' => '5',
					'value' => npr_option('slider_number_posts','5'),
					'name' => 'slider_number_posts'
				),
				array(
					'id' => $theme_slug.'_home_layout_slider_animation',
					'type' => 'checkbox',
					'title' => __('Automatic Slide','above_skyline_demo'),
					'icon' => 'fa-film',
					'default' => 'true',
					'value' => npr_option('slider_auto_animation','true'),
					'name' => 'slider_auto_animation',
					'half' => true,
					'clear' => true,
					'class' => 'npr_half_left',
					'append' => 'slider_animation_speed'
				),
				array(
					'id' => $theme_slug.'_home_layout_slide_animation_speed',
					'type' => 'text',
					'title' => __('Automatic Slide Animation Speed (in milliseconds)','above_skyline_demo'),
					'icon' => 'fa-film',
					'default' => '5000',
					'value' => npr_option('slider_animation_speed','5000'),
					'name' => 'slider_animation_speed'
				),
			)
		),
		'minis' => array(
			'id' => 'home_minis',
			'tab_title' => __('Mini boxes','above_skyline_demo'),
			'icon' => 'fa-qrcode',
			'description' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_home_layout_minis_show',
					'type' => 'checkbox',
					'title' => __('Show Mini Boxes','above_skyline_demo'),
					'icon' => 'fa-qrcode',
					'default' => 'true',
					'value' => npr_option('mini_boxes','true'),
					'name' => 'mini_boxes',
					'enabled' => 'Shown',
					'disabled' => 'Not Shown',
					'half' => true,
					'class' => 'npr_half_left',
					'clear' => true
				),
				array(
					'id' => $theme_slug.'_home_layout_minis_pages',
					'type' => 'post_list',
					'title' => __('Pages to show (max. 4)','above_skyline_demo'),
					'icon' => 'fa-file-o',
					'default' => '',
					'value' => npr_option('mini_boxes_item',''),
					'name' => 'mini_boxes_item',
					'max_item' => 4,
					'no_items' => __('No pages selected for mini boxes','above_skyline_demo'),
					'click_on' => __('Click on pages you\'d want to show','above_skyline_demo'),
					'reorder' => __('Drag and drop to reorder','above_skyline_demo')
				)
			)
		),
		'tabs' => array(
			'id' => 'home_tabs',
			'tab_title' => __('Tabs','above_skyline_demo'),
			'icon' => 'fa-ellipsis-h',
			'description' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_home_layout_tabs_show',
					'type' => 'checkbox',
					'title' => __('Show Tabs','above_skyline_demo'),
					'icon' => 'fa-ellipsis-h',
					'default' => 'true',
					'value' => npr_option('home_tabs','true'),
					'name' => 'home_tabs',
					'enabled' => 'Shown',
					'disabled' => 'Not Shown',
					'half' => true,
					'class' => 'npr_half_left',
					'clear' => true
				),
				array(
					'id' => $theme_slug.'_home_layout_tabs_pages',
					'type' => 'post_list',
					'title' => __('Pages to show','above_skyline_demo'),
					'icon' => 'fa-file-o',
					'default' => '',
					'value' => npr_option('tabs_pages',''),
					'name' => 'tabs_pages',
					'max_item' => 0,
					'no_items' => __('No pages selected for tabs','above_skyline_demo'),
					'click_on' => __('Click on pages you\'d want to show','above_skyline_demo'),
					'reorder' => __('Drag and drop to reorder','above_skyline_demo')
				)
			)
		),
	)
);


$npr_theme_config['mobile'] = array(
	'id' => 'mobile',
	'button' => 'Mobile Settings',
	'icon' => 'fa-mobile-phone',
	'tabs' => array(
		'basic' => array(
			'id' => 'basic',
			'tab_title' => __('Mobile Settings','above_skyline_demo'),
			'icon' => 'fa-pencil',
			'description' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_basic_callnow',
					'type' => 'checkbox',
					'title' => __('Enable Call Now Button','above_skyline_demo'),
					'icon' => 'fa fa-phone',
					'default' => 'true',
					'value' => npr_option('callnow_button','true'),
					'name' => 'callnow_button',
					'half' => true,
					'class' => 'npr_half_left',
					'append' => 'callnow_number'
				),
				array(
					'id' => $theme_slug.'_basic_location',
					'type' => 'checkbox',
					'title' => __('Enable Location Button','above_skyline_demo'),
					'icon' => 'fa-map-marker',
					'default' => 'true',
					'value' => npr_option('location_button','true'),
					'name' => 'location_button',
					'half' => true,
					'class' => 'npr_half_right',
					'clear' => true,
					'append' => 'location_url'
				),
				array(
					'id' => $theme_slug.'_basic_number',
					'type' => 'text',
					'title' => __('Call Now Number','above_skyline_demo'),
					'icon' => 'fa fa-phone',
					'default' => '+15557799',
					'value' => npr_option('callnow_number','+15557799'),
					'name' => 'callnow_number'
				),
				array(
					'id' => $theme_slug.'_basic_location',
					'type' => 'text',
					'title' => __('Location Page Url (ex. Google Map Url)','above_skyline_demo'),
					'icon' => 'fa-map-marker',
					'default' => 'http://goo.gl/maps/ZDBnp',
					'value' => npr_option('location_url','http://goo.gl/maps/ZDBnp'),
					'name' => 'location_url'
				)
			)
		)
	)
);

$npr_theme_config['seo'] = array(
	'id' => 'seo',
	'button' => 'SEO Tools',
	'icon' => 'fa-search',
	'tabs' => array(
		'general_seo' => array(
			'id' => 'general_seo',
			'tab_title' => __('General Seo','above_skyline_demo'),
			'icon' => 'fa-file-o',
			'description' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_general_seo_enable',
					'type' => 'checkbox',
					'title' => __('Enable SirSEO Panel','above_skyline_demo'),
					'icon' => 'fa-search',
					'default' => 'true',
					'value' => npr_option('seo_enabled','true'),
					'name' => 'seo_enabled',
					'half' => true,
					'class' => 'npr_half_left'
				),
				array(
					'id' => $theme_slug.'_general_seo_help',
					'type' => 'infobox',
					'title' => __('Help','above_skyline_demo'),
					'icon' => 'fa-lightbulb-o',
					'content' => '<a href="'.$seo_learn_more.'" class="button" target="_blank">'.__('Learn More','above_skyline_demo').'</a>',
					'color' => 'ok',
					'half' => true,
					'class' => 'npr_half_right',
					'clear' => true
				),
				array(
					'id' => $theme_slug.'_general_seo_helpimg',
					'type' => 'image',
					'icon' => 'fa-file',
					'box' => true,
					'location' => 'admin',
					'file' => '/img/niceseo.png',
					'align' => 'center',
					'title' => __('Find this panel on post/page editor','above_skyline_demo')
				),
				array(
					'id' => $theme_slug.'_pages_seo_home_title',
					'type' => 'text',
					'title' => __('Homepage Title','above_skyline_demo'),
					'icon' => '',
					'default' => '',
					'value' => npr_option('homepage_title',''),
					'name' => 'homepage_title'
				),
				array(
					'id' => $theme_slug.'_pages_seo_h1',
					'type' => 'header',
					'title' => __('Single Post/Page Title Settings ','above_skyline_demo')
				),
				array(
					'id' => $theme_slug.'_pages_seo_post_title',
					'type' => 'select',
					'title' => __('Title Pattern','above_skyline_demo'),
					'options' => array('1' => __('Post Title - Blog Title','above_skyline_demo'),'2' => __('Blog Title - Post Title','above_skyline_demo'),'3' => __('Post Title only','above_skyline_demo')),
					'default' => '1',
					'value' => npr_option('post_title_pattern','1'),
					'name' => 'post_title_pattern'
				),
				array(
					'id' => $theme_slug.'_pages_seo_post_separator',
					'type' => 'text',
					'title' => __('Default Title Separator','above_skyline_demo'),
					'icon' => '',
					'default' => ' - ',
					'value' => npr_option('post_title_separator',' - '),
					'name' => 'post_title_separator',
					'half' => true,
					'class' => 'npr_half_left',
					'clear' => true
				),
				array(
					'id' => $theme_slug.'_pages_seo_h2',
					'type' => 'header',
					'title' => __('Category Page Title Settings','above_skyline_demo')
				),
				array(
					'id' => $theme_slug.'_pages_seo_category_title',
					'type' => 'select',
					'title' => __('Title Pattern','above_skyline_demo'),
					'options' => array('1' => __('Category Name - Blog Title','above_skyline_demo'),'2' => __('Blog Title - Category Name','above_skyline_demo'),'3' => __('Category Name only','above_skyline_demo')),
					'default' => '1',
					'value' => npr_option('category_title_pattern','1'),
					'name' => 'category_title_pattern'
				),
				array(
					'id' => $theme_slug.'_pages_seo_category_separator',
					'type' => 'text',
					'title' => __('Default Title Separator','above_skyline_demo'),
					'icon' => '',
					'default' => ' - ',
					'value' => npr_option('category_title_separator',' - '),
					'name' => 'category_title_separator',
					'half' => true,
					'class' => 'npr_half_left',
					'clear' => true
				),
			)
		),
		'meta_seo' => array(
			'id' => 'meta_seo',
			'tab_title' => __('Meta Settings','above_skyline_demo'),
			'icon' => 'fa-edit',
			'description' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_general_seo_default_metas',
					'type' => 'header',
					'icon' => 'fa-edit',
					'title' => __('Default Meta Settings','above_skyline_demo')
				),
				array(
					'id' => $theme_slug.'_general_seo_description_enabled',
					'type' => 'checkbox',
					'title' => __('Enable Meta Description','above_skyline_demo'),
					'icon' => 'fa-edit',
					'default' => 'false',
					'value' => npr_option('enable_meta_desc','false'),
					'name' => 'enable_meta_desc',
					'half' => true,
					'class' => 'npr_half_left',
					'append' => 'default_meta_description'
				),
				array(
					'id' => $theme_slug.'_general_seo_keywords_enabled',
					'type' => 'checkbox',
					'title' => __('Enable Meta Keywords','above_skyline_demo'),
					'icon' => 'fa-edit',
					'default' => 'false',
					'value' => npr_option('enable_meta_keywords','false'),
					'name' => 'enable_meta_keywords',
					'half' => true,
					'class' => 'npr_half_right',
					'clear' => true,
					'append' => 'default_meta_keywords'
				),
				array(
					'id' => $theme_slug.'_general_seo_default_description',
					'type' => 'textbox',
					'icon' => 'fa-edit',
					'title' => __('Default Meta Description','above_skyline_demo'),
					'default' => '',
					'value' => npr_option('default_meta_description',''),
					'name' => 'default_meta_description'
				),
				array(
					'id' => $theme_slug.'_general_seo_default_keywords',
					'type' => 'textbox',
					'icon' => 'fa-filter',
					'title' => __('Default Meta Keywords','above_skyline_demo'),
					'default' => '',
					'value' => npr_option('default_meta_keywords',''),
					'name' => 'default_meta_keywords'
				)
			),
		),
	)
);

$npr_theme_config['soc'] = array(
	'id' => 'soc',
	'button' => 'Social Media Settings',
	'icon' => 'fa-facebook',
	'tabs' => array(
		'buttons' => array(
			'id' => 'buttons',
			'tab_title' => __('Buttons','above_skyline_demo'),
			'title' => '',
			'icon' => 'fa-facebook',
			'desciption' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_soc_help_text',
					'type' => 'infobox',
					'icon' => 'fa-lightbulb-o',
					'title' => __('Help','above_skyline_demo'),
					'content' => __('This template comes with dedicated Facebook, Twitter and Google Plus button. Here you can set up your social media profiles and disable the unused buttons.','above_skyline_demo'),
					'color' => 'ok'
				),
				array(
					'id' => $theme_slug.'_soc_h1',
					'type' => 'header',
					'title' => __('Show / Hide Buttons','above_skyline_demo')
				),
				array(
					'id' => $theme_slug.'_soc_t_fb',
					'type' => 'checkbox',
					'title' => __('Show Facebook Button','above_skyline_demo'),
					'icon' => 'fa-facebook',
					'default' => true,
					'value' => npr_option('facebook_button',true),
					'name' => 'facebook_button',
					'enabled' => 'Shown',
					'disabled' => 'Not Shown',
					'half' => true,
					'class' => 'npr_half_left',
					'append' => 'facebook_url'
				),
				array(
					'id' => $theme_slug.'_soc_t_twitter',
					'type' => 'checkbox',
					'title' => __('Show Twitter Button','above_skyline_demo'),
					'icon' => 'fa-twitter',
					'default' => true,
					'value' => npr_option('twitter_button',true),
					'name' => 'twitter_button',
					'enabled' => 'Shown',
					'disabled' => 'Not Shown',
					'half' => true,
					'class' => 'npr_half_right',
					'clear' => true,
					'append' => 'twitter_url'
				),
				array(
					'id' => $theme_slug.'_soc_t_gp',
					'type' => 'checkbox',
					'title' => __('Show Google Plus Button','above_skyline_demo'),
					'icon' => 'fa-google-plus',
					'default' => false,
					'value' => npr_option('gplus_button',false),
					'name' => 'gplus_button',
					'enabled' => 'Shown',
					'disabled' => 'Not Shown',
					'half' => true,
					'class' => 'npr_half_left',
					'clear' => true,
					'append' => 'gplus_url'
				),
				array(
					'id' => $theme_slug.'_soc_h2',
					'type' => 'header',
					'title' => __('Setup Profile Urls','above_skyline_demo')
				),
				array(
					'id' => $theme_slug.'_soc_url_fb',
					'type' => 'text',
					'title' => __('Facebook Profile Url','above_skyline_demo'),
					'icon' => 'fa-facebook',
					'default' => 'http://facebook.com/your_profile',
					'value' => npr_option('facebook_url','http://facebook.com/your_profile'),
					'name' => 'facebook_url'
				),
				array(
					'id' => $theme_slug.'_soc_url_twitter',
					'type' => 'text',
					'title' => __('Twitter Profile Url','above_skyline_demo'),
					'icon' => 'fa-twitter',
					'default' => 'http://facebook.com/your_profile',
					'value' => npr_option('twitter_url','http://twitter.com/your_profile'),
					'name' => 'twitter_url'
				),
				array(
					'id' => $theme_slug.'_soc_url_gp',
					'type' => 'text',
					'title' => __('Google Plus Url','above_skyline_demo'),
					'icon' => 'fa-google-plus',
					'default' => 'http://plus.google.com/your_profile',
					'value' => npr_option('gplus_url','http://plus.google.com/your_profile'),
					'name' => 'gplus_url'
				),
				array(
					'id' => $theme_slug.'_soc_help_pic',
					'type' => 'image',
					'title' => __('You can find these icons on footer','above_skyline_demo'),
					'file' => '/img/social.png',
					'location' => 'admin',
					'width' => '',
					'align' => 'center',
					'box' => true
				)
			)
		),
	)
);

$npr_theme_config['help'] = array(
	'id' => 'help',
	'button' => 'Help',
	'icon' => 'fa fa-book',
	'tabs' => array(
		'help' => array(
			'id' => 'help',
			'tab_title' => __('Help','above_skyline_demo'),
			/*'title' => __('Help','above_skyline_demo'),*/
			'icon' => 'fa fa-book',
			'description' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_help_description',
					'type' => 'infobox',
					'icon' => 'fa-lightbulb-o',
					'title' => __('More information','above_skyline_demo'),
					'content' => __('We nailed up for you an easy to understand guide for '.$theme_name.' theme.<br/>Click the button below to open.<br/><a href="'.$theme_help_url.'" class="button" target="_blank"><i class="fa fa-book"></i> Guide</a>','above_skyline_demo')
					),
				array(
					'id' => $theme_slug.'_help_contact',
					'type' => 'infobox',
					'icon' => 'fa-exclamation',
					'title' => __('We\'re here to help','above_skyline_demo'),
					'content' => __('Click the button to write your question directly to us. <br/><a href="'.$contact_us_url.'" class="button" target="_blank"><i class="fa fa-phone"></i> Contact</a>','above_skyline_demo')
				)
			)
		)
	)
);

$npr_theme_config['details'] = array(
	'id' => 'details',
	'button' => 'More Options',
	'icon' => 'fa fa-info',
	'tabs' => array(
		'help' => array(
			'id' => 'details',
			'tab_title' => __('More Options','above_skyline_demo'),
			/*'title' => __('Help','above_skyline_demo'),*/
			'icon' => 'fa fa-info',
			'description' => '',
			'rows' => array(
				array(
					'id' => $theme_slug.'_details_description',
					'type' => 'infobox',
					'icon' => 'fa-lightbulb-o',
					'title' => __(' ','above_skyline_demo'),
					'content' => __('You can find the full version of this theme with more settings option on our website<br/><a href="'.$sirlorem_url.'" class="button" target="_blank"><i class="fa fa-info"></i> Sir Lorem WordPress Themes</a>','above_skyline_demo')
					)
			)
		)
	)
);




function npr_save_defaults() {
	global $theme_slug;
	if(npr_option('theme_installed') != 'true') {
		$defaults['facebook_button'] = 'true';
		$defaults['gplus_button'] = 'true';
		$defaults['twitter_button'] = 'true';
		$defaults['responsive_enabled'] = 'true';
		$defaults['single_page_image'] = 'true';
		$defaults['single_page_comment'] = 'true';
		$defaults['single_post_image'] = 'true';
		$defaults['single_post_comment'] = 'true';
		$defaults['single_post_tags'] = 'true';
		$defaults['single_post_info'] = 'user|date|category|comments';
		$defaults['searchbox'] = 'true';
		$defaults['bottom_widget'] = 'true';
		$defaults['sidebar_position'] = '3';
		$defaults['featured_slider'] = 'true';
		$defaults['home_tabs'] = 'true';
		$defaults['mini_boxes'] = 'true';
		$defaults['theme_installed'] = 'true';
		$defaults['slider_animation_speed'] = '5000';
		foreach($defaults AS $k => $d) {
			$fi = $theme_slug.'_'.$k;
			update_option($fi,$d);
		}
	}
}



?>