<?php
if(is_admin()) {
	npr_admin_meta_init();
}

/* ADMIN */
function npr_admin_meta_init() {
	wp_register_script('jquery-ui','http://code.jquery.com/ui/1.10.3/jquery-ui.js');
	wp_enqueue_script('jquery-ui');
	
	$dir = get_template_directory_uri() . '/admin';
	wp_enqueue_style('npr_admin',$dir.'/css/admin_ext.css');
	wp_enqueue_script('npr_admin_ext',$dir.'/js/admin_ext.js');
	
	wp_enqueue_style('npr_admin_fontawesome',$dir.'/css/font-awesome.min.css');
	
	add_action('add_meta_boxes','npr_admin_add_meta_meta');
	add_action('save_post','npr_admin_page_meta_settings_save',10,2);
}
function npr_admin_add_meta_meta() {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	/*SEO*/
	add_meta_box('npr_post_settings',__('Sir Lorem Settings','above_skyline_demo'),'npr_post_settings','post','advanced','high');
	add_meta_box('npr_page_settings',__('Sir Lorem Settings','above_skyline_demo'),'npr_page_settings','page','advanced','core');
}
function npr_admin_page_seo_settings() {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	$post_id = get_the_ID();
	wp_nonce_field(basename(__FILE__),'npr_post_meta_settings');
	
	?>
	<div id="npr_post_seo_meta" class="npr_meta_box">
		<p><?php print __('SirSEO: ','above_skyline_demo');?><?php print (npr_option('seo_enabled') == 'true' ? '<span style="color:#00aa00;">'.__('ENABLED','above_skyline_demo').'</span>' : '<span style="color:#dd0000;">'.__('DISABLED','above_skyline_demo').'</span></p>
									<p>'.__(sprintf('Boost up your website\'s ranking in search engines with turning on SirSEO features. You can enable/disable it on <a href="%s">theme settings</a>',npr_nicepanel_url()),'above_skyline_demo').'</p>
									<p>'.__('If SirSEO is enabled you can add post-specific title, meta description and meta keywords','above_skyline_demo').'');?></p>
		<p>
			<label for="npr_post_title"><?php print __('Title','above_skyline_demo'); ?>: </label>
			<input type="text" name="npr_post_title" class="npr_seo_field" id="npr_post_title" value="<?php print esc_attr(get_post_meta($post_id,'_npr_post_title',true)); ?>" />
		</p>
		<p<?php print (npr_option('enable_meta_desc') != 'true' ? ' class="npr_opt_disabled"' : '');?>>
			<label for="npr_post_description"><?php print __('Meta Description','above_skyline_demo'); ?>: </label>
			<textarea name="npr_post_description" class="npr_seo_field" id="npr_post_description"><?php print esc_attr(get_post_meta($post_id,'_npr_post_description',true)); ?></textarea>
			<?php print (npr_option('enable_meta_desc') != 'true' ? '<br/>'.__('Meta Description is disabled','above_skyline_demo') : '');?>
		</p>
		<p<?php print (npr_option('enable_meta_keywords') != 'true' ? ' class="npr_opt_disabled"' : '');?>>
			<label for="npr_post_keywords"><?php print __('Meta Keywords','above_skyline_demo'); ?>: </label>
			<textarea name="npr_post_keywords" id="npr_post_keywords" class="npr_seo_field"><?php print esc_attr(get_post_meta($post_id,'_npr_post_keywords',true)); ?></textarea>
			<?php print (npr_option('enable_meta_keywords') != 'true' ? '<br/>'.__('Meta Keywords is disabled','above_skyline_demo') : '');?>
		</p>
	</div>
	<?php
}

function npr_admin_page_slider_settings() {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	$post_id = get_the_ID();
	
	$getopts = get_post_meta($post_id,'_npr_custom_settings',true);
	
	if(!is_array($getopts)) $getopts = array();
	?>
	
	<div class="npr_meta_box">
	
		<p><?php print __('If you use this page in feature slider here you can set up specific details','above_skyline_demo');?></p>
		
		<div class="npr_inp_l">
			<label for="npr_slide_title"><?php print __('Slide Title','above_skyline_demo'); ?>: </label>
			<input type="text" name="npr_slide_title" class="npr_seo_field" id="npr_slide_title" value="<?php print esc_attr($getopts['npr_slide_title']); ?>" />
			<div class="npr_inp_desc"><?php print __('If not specified post title will be used','above_skyline_demo');?></div>
		</div>
		
		<div class="npr_inp_l">
			<label for="npr_slide_description"><?php print __('Slide Description','above_skyline_demo'); ?>: </label>
			<input type="text" name="npr_slide_description" class="npr_seo_field" id="npr_slide_description" value="<?php print esc_attr($getopts['npr_slide_description']); ?>" />
		</div>
		
		<div class="npr_inp_l">
			<label for="npr_slide_image"><?php print __('Slide Image','above_skyline_demo'); ?>: </label>
			<div class="clearfix">
				<input type="text" name="npr_slide_image" class="npr_seo_field npr_upl_filed" id="npr_slide_image" value="<?php print esc_attr($getopts['npr_slide_image']); ?>" />
				<button id="npr_image_add" type="button" class="npr_upbtn" data-fileInput="npr_slide_image" data-fileTitle="<?php print __('Slide Image','above_skyline_demo');?>"><?php print __('Select Image','above_skyline_demo');?></button>
			</div>
			<div class="npr_inp_desc"><?php print __('If not specified featured image will be used','above_skyline_demo');?></div>
		</div>
		
		<div class="npr_inp_l">
			<label for="npr_slide_link"><?php print __('Custom Read More Link','above_skyline_demo'); ?>: </label>
			<input type="text" name="npr_slide_link" class="npr_seo_field" id="npr_slide_link" value="<?php print esc_attr($getopts['npr_slide_link']); ?>" />
			<div class="npr_inp_desc"><?php print __('If not specified the post link will be used','above_skyline_demo');?></div>
		</div>
		
		
		
	</div>
	
	<?php
}

function npr_admin_page_tab_settings() {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	$post_id = get_the_ID();
	
	$getopts = get_post_meta($post_id,'_npr_custom_settings',true);
	
	if(!is_array($getopts)) $getopts = array();
	
	?>
	
	<div class="npr_meta_box">
	
		<p><?php print __('If you use this page as a minibox here you can set up specific options','above_skyline_demo');?></p>
		
		<div class="npr_inp_l">
			<label for="npr_tab_title"><?php print __('Tab Title','above_skyline_demo'); ?>: </label>
			<input type="text" name="npr_tab_title" class="npr_seo_field" id="npr_tab_title" value="<?php print esc_attr($getopts['npr_tab_title']); ?>" />
			<div class="npr_inp_desc"><?php print __('If not specified page title will be used','above_skyline_demo');?></div>
		</div>
		
		<div class="npr_inp_l">
			<label for="npr_tab_content"><?php print __('Tab Content','above_skyline_demo'); ?>: </label>
			<textarea name="npr_tab_content" id="npr_tab_content" class="npr_seo_field"><?php print esc_attr($getopts['npr_tab_content']); ?></textarea>
			<div class="npr_inp_desc"><?php print __('If not specified the page content will be used','above_skyline_demo');?></div>
		</div>
		
		
	</div>
	
	<?php
	
	
}

function npr_admin_page_minibox_settings() {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	$post_id = get_the_ID();
	
	$getopts = get_post_meta($post_id,'_npr_custom_settings',true);
	
	if(!is_array($getopts)) $getopts = array();
	
	include_once('npr_icons_list.php');
	$get_icons = npr_icon_list();
	
	if(is_array($get_icons)) {
		foreach($get_icons AS $icl) {
			$icon_list .= '<li'.($getopts['npr_minibox_icon'] == $icl ? ' class="selected"' : '').' data-icon="'.$icl.'"><i class="fa '.$icl.'"></i></li>';
		}
	}
	
	?>
	
	<div class="npr_meta_box">
	
		<p><?php print __('If you use this page as a minibox here you can set up specific options','above_skyline_demo');?></p>
		
		<div class="npr_inp_l">
			<label for="npr_minibox_title"><?php print __('Minibox Title','above_skyline_demo'); ?>: </label>
			<input type="text" name="npr_minibox_title" class="npr_seo_field" id="npr_minibox_title" value="<?php print esc_attr($getopts['npr_minibox_title']); ?>" />
			<div class="npr_inp_desc"><?php print __('If not specified post title will be used','above_skyline_demo');?></div>
		</div>
		
		<div class="npr_inp_l">
			<label for="npr_minibox_link"><?php print __('Custom Read More Link','above_skyline_demo'); ?>: </label>
			<input type="text" name="npr_minibox_link" class="npr_seo_field" id="npr_minibox_link" value="<?php print esc_attr($getopts['npr_minibox_link']); ?>" />
			<div class="npr_inp_desc"><?php print __('If not specified the page link will be used','above_skyline_demo');?></div>
		</div>
		
		<div class="npr_inp_l">
			<label for="npr_minibox_content"><?php print __('Minibox Content','above_skyline_demo'); ?>: </label>
			<textarea name="npr_minibox_content" id="npr_minibox_content" class="npr_seo_field"><?php print esc_attr($getopts['npr_minibox_content']); ?></textarea>
			<div class="npr_inp_desc"><?php print __('If not specified page content will be used','above_skyline_demo');?></div>
		</div>		
			
		<div class="npr_inp_l">
			<label for="npr_minibox_icon"><?php print __('Minibox Image','above_skyline_demo'); ?>: </label>
			<div class="npr_inp_desc"><?php print __('Select an image or choose an icon from the list below','above_skyline_demo');?></div>
			<div class="clearfix">
				<input type="text" name="npr_minibox_icon" class="npr_seo_field npr_upl_filed" id="npr_minibox_icon" value="<?php print esc_attr($getopts['npr_minibox_icon']); ?>" />
				<button id="npr_icon_add" type="button" class="npr_upbtn" data-fileTitle="<?php print __('Minibox Image','above_skyline_demo');?>" data-fileInput="npr_minibox_icon"><?php print __('Select Image','above_skyline_demo');?></button>
			</div>
			<div class="npr_choose_icon clearfix">
				<ul class="npr_choose_icon" id="npr_minibox_icon">
					<?php print $icon_list;?>
				</ul>
			</div>
		</div>
		
		
	</div>
	
	<?php
	
}

function npr_post_settings() {
	npr_admin_page_meta_settings();
}

function npr_page_settings() {
	npr_admin_page_meta_settings(true);
}

function npr_admin_page_type_settings() {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	$post_id = get_the_ID();
	$catgs = get_categories(array('hide_empty' => 0));
	?>
	<div id="npr_page_template_info" class="npr_meta_box npr_template_meta_box npr_show">
		<p><?php print __('Sir Lorem specific options show up if you select a page template','above_skyline_demo');?></p>
	</div>
	<div id="npr_page_contact" class="npr_meta_box npr_template_meta_box">
		<div class="npr_inp_l">
			<label><?php print __('Contact form email to:','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_form_email" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_form_email',true));?>" />
		</div>
		<div class="npr_inp_l">
			<input type="checkbox" name="npr_contact_showmaps" id="npr_show_googlemaps" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_contact_showmaps',true)) == 'true' ? ' checked="checked"' : '');?> /> <label class="noblock" for="npr_show_googlemaps"><?php print __('Show Google Maps','above_skyline_demo');?></label>
		</div>
		<div class="npr_inp_l" id="npr_googlemaps_url">
			<label><?php print __('Maps Url','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_googlemaps" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_googlemaps',true));?>" />
			<div class="npr_inp_desc"><?php print __('Short URL is not supported','above_skyline_demo');?></div>
		</div>
		<div class="npr_inp_l">
			<input type="checkbox" name="npr_contact_showinfo" id="npr_show_contact_infos" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_contact_showinfo',true)) == 'true' ? ' checked="checked"' : '');?> /> <label class="noblock" for="npr_show_contact_infos"><?php print __('Show Contact Info','above_skyline_demo');?></label>
		</div>
		<div class="npr_inp_l" id="npr_contact_infos">
			<label><?php print __('Contact Name','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_name" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_name',true));?>" />
			<label><?php print __('Address Line 1','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_address_1" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_address_1',true));?>" />
			<label><?php print __('Address Line 2','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_address_2" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_address_2',true));?>" />
			<label><?php print __('City','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_city" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_city',true));?>" />
			<label><?php print __('State','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_state" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_state',true));?>" />
			<label><?php print __('Country','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_country" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_country',true));?>" />
			<label><?php print __('ZIP/Postal code','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_zip" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_zip',true));?>" />
			<label><?php print __('Phone','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_phone" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_phone',true));?>" />
			<label><?php print __('Fax','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_fax" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_fax',true));?>" />
			<label><?php print __('Email','above_skyline_demo');?></label>
			<input type="text" class="npr_seo_field" name="npr_contact_email" value="<?php print esc_attr(get_post_meta($post_id,'_npr_contact_email',true));?>" /> 
		</div>
		<div class="npr_inp_l">
			<input type="checkbox" name="npr_contact_fullwidth" id="npr_contact_fullwidth" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_contact_fullwidth',true)) == 'true' ? ' checked="checked"' : '');?> /> <label class="noblock" for="npr_contact_fullwidth"><?php print __('Full width template','above_skyline_demo');?></label>
		</div>
	</div>
	<div id="npr_page_sitemap" class="npr_meta_box npr_template_meta_box">
		<input type="checkbox" id="npr_sitemap_fullwidth" name="npr_sitemap_fullwidth" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_sitemap_fullwidth',true)) == 'true' ? ' checked="checked"' : '');?> /> <label class="noblock" for="npr_sitemap_fullwidth"><?php print __('Full width template','above_skyline_demo');?></label>
	</div>
	<div id="npr_page_authors" class="npr_meta_box npr_template_meta_box">
		<div class="npr_inp_l">
			<input type="checkbox" id="npr_authors_fullwidth" name="npr_authors_fullwidth" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_authors_fullwidth',true)) == 'true' ? ' checked="checked"' : '');?> />
			<label class="noblock" for="npr_authors_fullwidth"><?php print __('Full width template','above_skyline_demo');?></label><br/><br/>
			<input type="checkbox" id="npr_authors_postcount" name="npr_authors_postcount" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_authors_postcount',true)) == 'true' ? ' checked="checked"' : '');?> />
			<label class="noblock" for="npr_authors_postcount"><?php print __('Show post count','above_skyline_demo');?></label>
		</div>
	</div>
	<div id="npr_page_blog" class="npr_meta_box npr_template_meta_box">
		<div class="npr_inp_l">
			<input type="checkbox" id="npr_blog_fullwidth" name="npr_blog_fullwidth" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_blog_fullwidth',true)) == 'true' ? ' checked="checked"' : '');?> />
			<label class="noblock" for="npr_blog_fullwidth"><?php print __('Full width template','above_skyline_demo');?></label><br/><br/>
			<input type="checkbox" id="npr_blog_fulltext" name="npr_blog_fulltext" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_blog_fulltext',true)) == 'true' ? ' checked="checked"' : '');?> />
			<label class="noblock" for="npr_blog_fulltext"><?php print __('Show full post text','above_skyline_demo');?></label><br/><br/>
			<label class="noblockb"><?php print __('Posts Per Page','above_skyline_demo');?></label>
			<input type="text" class="npr_small_field" name="npr_blog_ppp" value="<?php print esc_attr((get_post_meta($post_id,'_npr_blog_ppp',true) ? get_post_meta($post_id,'_npr_blog_ppp',true) : 10));?>" />
		</div>
		<div class="npr_inp_l">
			<label>Select post categories</label>
			<?php
			if($catgs) {
				$currentBlogCategories = get_post_meta($post_id,'_npr_blog_categories',true);
				if(!is_array($currentBlogCategories)) $currentBlogCategories = array();
				foreach($catgs AS $catg) { ?>
					<input id="blog_categ_<?php print $catg->term_id;?>" type="checkbox" name="npr_blog_categories[]" value="<?php print $catg->term_id;?>" <?php print (in_array($catg->term_id,$currentBlogCategories) ? ' checked="checked"' : '');?> /> <label class="noblock" for="blog_categ_<?php print $catg->term_id;?>"><?php print esc_html($catg->name);?></label><br/><br/>
				<?php }
			}
			?>
		</div>
	</div>
	<div id="npr_page_gallery" class="npr_meta_box npr_template_meta_box">
		<div class="npr_inp_l">
			<input type="checkbox" id="npr_gallery_fullwidth" name="npr_gallery_fullwidth" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_gallery_fullwidth',true)) == 'true' ? ' checked="checked"' : '');?> />
			<label class="noblock" for="npr_gallery_fullwidth"><?php print __('Full width template','above_skyline_demo');?></label><br/><br/>
			<label class="noblockb"><?php print __('Items Per Page','above_skyline_demo');?></label>
			<input type="text" class="npr_small_field" name="npr_gallery_ppp" value="<?php print esc_attr((get_post_meta($post_id,'_npr_gallery_ppp',true) ? get_post_meta($post_id,'_npr_gallery_ppp',true) : 10));?>" />
			<label for="npr_gallery_size">Thumbnail size</label>
			<select name="npr_gallery_size" id="npr_gallery_size">
				<option value="1">Small</option>
				<option value="2"<?php print (get_post_meta($post_id,'_npr_gallery_size',true) == '2' ? ' selected="selected"' : '');?>>Medium</option>
				<option value="3"<?php print (get_post_meta($post_id,'_npr_gallery_size',true) == '3' ? ' selected="selected"' : '');?>>Large</option>
			</select>
		</div>
		<div class="npr_inp_l">
			<label>Select image categories</label>
			<?php
			if($catgs) {
				$currentBlogCategories = get_post_meta($post_id,'_npr_gallery_categories',true);
				if(!is_array($currentBlogCategories)) $currentBlogCategories = array();
				foreach($catgs AS $catg) { ?>
					<input id="gallery_categ_<?php print $catg->term_id;?>" type="checkbox" name="npr_gallery_categories[]" value="<?php print $catg->term_id;?>" <?php print (in_array($catg->term_id,$currentBlogCategories) ? ' checked="checked"' : '');?> /> <label class="noblock" for="gallery_categ_<?php print $catg->term_id;?>"><?php print esc_html($catg->name);?></label><br/><br/>
				<?php }
			}
			?>
		</div>
	</div>
	<div id="npr_page_portfolio" class="npr_meta_box npr_template_meta_box">
		<div class="npr_inp_l">
			<input type="checkbox" id="npr_portfolio_fullwidth" name="npr_portfolio_fullwidth" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_portfolio_fullwidth',true)) == 'true' ? ' checked="checked"' : '');?> />
			<label class="noblock" for="npr_portfolio_fullwidth"><?php print __('Full width template','above_skyline_demo');?></label><br/><br/>
			<label class="noblockb"><?php print __('Items Per Page','above_skyline_demo');?></label>
			<input type="text" class="npr_small_field" name="npr_portfolio_ppp" value="<?php print esc_attr((get_post_meta($post_id,'_npr_portfolio_ppp',true) ? get_post_meta($post_id,'_npr_portfolio_ppp',true) : 10));?>" />
			<label for="npr_portfolio_size">Thumbnail size</label>
			<select name="npr_portfolio_size" id="npr_portfolio_size">
				<option value="1">Small</option>
				<option value="2"<?php print (get_post_meta($post_id,'_npr_portfolio_size',true) == '2' ? ' selected="selected"' : '');?>>Medium</option>
				<option value="3"<?php print (get_post_meta($post_id,'_npr_portfolio_size',true) == '3' ? ' selected="selected"' : '');?>>Large</option>
			</select><br/><br/>
			<input type="checkbox" id="npr_portfolio_description" name="npr_portfolio_description" value="true" <?php print (esc_attr(get_post_meta($post_id,'_npr_portfolio_description',true)) == 'true' ? ' checked="checked"' : '');?> />
			<label class="noblock" for="npr_portfolio_description"><?php print __('Show description (use excerpt)','above_skyline_demo');?></label><br/><br/>
		</div>
		<div class="npr_inp_l">
			<label>Select portfolio categories</label>
			<?php
			if($catgs) {
				$currentBlogCategories = get_post_meta($post_id,'_npr_portfolio_categories',true);
				if(!is_array($currentBlogCategories)) $currentBlogCategories = array();
				foreach($catgs AS $catg) { ?>
					<input id="portfolio_categ_<?php print $catg->term_id;?>" type="checkbox" name="npr_portfolio_categories[]" value="<?php print $catg->term_id;?>" <?php print (in_array($catg->term_id,$currentBlogCategories) ? ' checked="checked"' : '');?> /> <label class="noblock" for="portfolio_categ_<?php print $catg->term_id;?>"><?php print esc_html($catg->name);?></label><br/><br/>
				<?php }
			}
			?>
		</div>
	</div>
	<?php
}

function npr_admin_page_meta_settings($ispage=false) {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	$post_id = get_the_ID();
	?>
	<div class="npr_post_settings" id="npr_post_settings">
		<ul class="npr_post_settings_tabs clearfix" id="npr_post_settings_tabs">
			<?php if($ispage === true) { ?><li><a href="#" rel="npr_ps_default"><?php print __('Page Settings','above_skyline_demo');?></a></li><?php } ?>
			<li><a href="#" rel="npr_ps_slider"><?php print __('Slide Settings','above_skyline_demo');?></a></li>
			<?php if($ispage === true) { ?><li><a href="#" rel="npr_ps_minibox"><?php print __('Minibox Settings','above_skyline_demo');?></a></li>
			<li><a href="#" rel="npr_ps_tab"><?php print __('Tab Settings','above_skyline_demo');?></a></li><?php } ?>
			<li><a href="#" rel="npr_ps_seo"><?php print __('SirSEO','above_skyline_demo');?></a></li>
		</ul>
		<div class="npr_post_settings_panels" id="npr_post_settings_panels">
			<?php if($ispage === true) { /* DEFAULT PAGE SETTINGS */ ?>
				<div class="npr_post_settings_panel" id="npr_ps_default">
					<?php npr_admin_page_type_settings(); ?>
				</div>
				
			<?php } /* //DEFAULT PAGE SETTINGS */ ?>
			
			<div class="npr_post_settings_panel" id="npr_ps_slider">
				
				<?php npr_admin_page_slider_settings(); ?>
				
			</div>
			
			
			<?php if($ispage === true) { ?>
			
				<div class="npr_post_settings_panel" id="npr_ps_minibox">
					
					<?php npr_admin_page_minibox_settings(); ?>
					
				</div>
				
				<div class="npr_post_settings_panel" id="npr_ps_tab">
					
					<?php npr_admin_page_tab_settings(); ?>
					
				</div>
			
			<?php } ?>
			
			<div class="npr_post_settings_panel" id="npr_ps_seo">
				
				<?php npr_admin_page_seo_settings(); ?>
				
			</div>
			
		</div>
	</div>
	<input type="hidden" name="editor_lasttab" value="<?php print $_COOKIE['npr_editor_lasttab'];?>" id="editor_lasttab" />
	<script type="text/javascript">
		var lastTab = '<?php print ($_COOKIE['npr_editor_lasttab'] != '' ? $_COOKIE['npr_editor_lasttab'] : '');?>';
		var ipt = 0;
		jQuery(document).ready(function(){
			var fileInput = '',
			fileTitle = '',
			filePreview = '',
			fileInterval;
		
			jQuery('.npr_upbtn').click(function() {
				fileInput = jQuery('#'+jQuery(this).attr('data-fileInput'));
				fileTitle = jQuery(this).attr('data-fileTitle');
				fileInterval = setInterval( function() {
					jQuery('#TB_iframeContent').contents().find('.savesend .button').val('Use for ' + fileTitle);
				}, 2000 );
				tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
				return false;
			});
			window.original_send_to_editor = window.send_to_editor;
			window.send_to_editor = function(html){
				if (fileInput) {
					clearInterval(fileInterval);
					fileurl = jQuery('img',html).attr('src');
					fileInput.val(fileurl);
					tb_remove();
				} else {
					window.original_send_to_editor(html);
				}
			};
		});
		</script>
	<?php
}

function npr_admin_page_meta_settings_save($post_id,$post) {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields, $pagenow;

	if ($pagenow != 'post.php') return $post_id;
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return $post_id;
	
	setcookie('npr_editor_lasttab',sanitize_text_field($_POST['editor_lasttab']),time()+30);

	$post_type = get_post_type_object($post->post_type);
	if (!current_user_can($post_type->cap->edit_post,$post_id)) return $post_id;
	
	if (!isset($_POST['npr_post_meta_settings']) || !wp_verify_nonce($_POST['npr_post_meta_settings'],basename(__FILE__))) return $post_id;
	
	if(in_array($_POST['post_type'],array('post','page'))){
		
		/* SEO */
		if(isset($_POST['npr_post_title']))	update_post_meta($post_id,'_npr_post_title',sanitize_text_field($_POST['npr_post_title']));
		if(isset($_POST['npr_post_description']))	update_post_meta($post_id,'_npr_post_description',sanitize_text_field($_POST['npr_post_description']));
		if(isset($_POST['npr_post_keywords']))	update_post_meta($post_id,'_npr_post_keywords',sanitize_text_field($_POST['npr_post_keywords']));
		
		
		/*  CUSTOM POST META */
		/*if(isset($_POST['npr_additional_title']))	update_post_meta($post_id,'_npr_additional_title',sanitize_text_field($_POST['npr_additional_title']));
		if(isset($_POST['npr_icon']))	update_post_meta($post_id,'_npr_icon',sanitize_text_field($_POST['npr_icon']));
		if(isset($_POST['npr_custom_link']))	update_post_meta($post_id,'_npr_custom_link',sanitize_text_field($_POST['npr_custom_link']));*/
		
		$cmeta = array(
					   'npr_slide_link' => sanitize_text_field($_POST['npr_slide_link']),
					   'npr_slide_description' => sanitize_text_field($_POST['npr_slide_description']),
					   'npr_slide_image' => sanitize_text_field($_POST['npr_slide_image']),
					   'npr_slide_title' => sanitize_text_field($_POST['npr_slide_title']),
					   
					   'npr_minibox_title' => sanitize_text_field($_POST['npr_minibox_title']),
					   'npr_minibox_icon' => sanitize_text_field($_POST['npr_minibox_icon']),
					   'npr_minibox_link' => sanitize_text_field($_POST['npr_minibox_link']),
					   'npr_minibox_content' => esc_attr($_POST['npr_minibox_content']),
					   
					   'npr_tab_title' => sanitize_text_field($_POST['npr_tab_title']),
					   'npr_tab_content' => esc_attr($_POST['npr_tab_content']),
					   
					   );
		
		update_post_meta($post_id,'_npr_custom_settings',$cmeta);
		
		
		
	}
	
	if($_POST['post_type'] == 'page') {
		switch($_POST['page_template']) {
			case "page_contact.php":
				if(isset($_POST['npr_contact_form_email'])) update_post_meta($post_id,'_npr_contact_form_email',sanitize_email($_POST['npr_contact_form_email']));
				if(isset($_POST['npr_contact_showmaps']))
					update_post_meta($post_id,'_npr_contact_showmaps',sanitize_text_field($_POST['npr_contact_showmaps']));
				else
					delete_post_meta($post_id,'_npr_contact_showmaps');
				if(isset($_POST['npr_contact_googlemaps'])) update_post_meta($post_id,'_npr_contact_googlemaps',sanitize_text_field($_POST['npr_contact_googlemaps']));
				if(isset($_POST['npr_contact_showinfo']))
					update_post_meta($post_id,'_npr_contact_showinfo',sanitize_text_field($_POST['npr_contact_showinfo']));
				else
					delete_post_meta($post_id,'_npr_contact_showinfo');
				if(isset($_POST['npr_contact_name'])) update_post_meta($post_id,'_npr_contact_name',sanitize_text_field($_POST['npr_contact_name']));
				if(isset($_POST['npr_contact_country'])) update_post_meta($post_id,'_npr_contact_country',sanitize_text_field($_POST['npr_contact_country']));
				if(isset($_POST['npr_contact_state'])) update_post_meta($post_id,'_npr_contact_state',sanitize_text_field($_POST['npr_contact_state']));
				if(isset($_POST['npr_contact_city'])) update_post_meta($post_id,'_npr_contact_city',sanitize_text_field($_POST['npr_contact_city']));
				if(isset($_POST['npr_contact_address_1'])) update_post_meta($post_id,'_npr_contact_address_1',sanitize_text_field($_POST['npr_contact_address_1']));
				if(isset($_POST['npr_contact_address_2'])) update_post_meta($post_id,'_npr_contact_address_2',sanitize_text_field($_POST['npr_contact_address_2']));
				if(isset($_POST['npr_contact_zip'])) update_post_meta($post_id,'_npr_contact_zip',sanitize_text_field($_POST['npr_contact_zip']));
				if(isset($_POST['npr_contact_phone'])) update_post_meta($post_id,'_npr_contact_phone',sanitize_text_field($_POST['npr_contact_phone']));
				if(isset($_POST['npr_contact_fax'])) update_post_meta($post_id,'_npr_contact_fax',sanitize_text_field($_POST['npr_contact_fax']));
				if(isset($_POST['npr_contact_email'])) update_post_meta($post_id,'_npr_contact_email',sanitize_text_field($_POST['npr_contact_email']));
				if(isset($_POST['npr_contact_fullwidth']))
					update_post_meta($post_id,'_npr_contact_fullwidth',sanitize_text_field($_POST['npr_contact_fullwidth']));
				else
					delete_post_meta($post_id,'_npr_contact_fullwidth');
				break;
			case "page_sitemap.php":
				if(isset($_POST['npr_sitemap_fullwidth']))
					update_post_meta($post_id,'_npr_sitemap_fullwidth',sanitize_text_field($_POST['npr_sitemap_fullwidth']));
				else
					delete_post_meta($post_id,'_npr_sitemap_fullwidth');
				break;
			case "page_authors.php":
				if(isset($_POST['npr_authors_fullwidth']))
					update_post_meta($post_id,'_npr_authors_fullwidth',sanitize_text_field($_POST['npr_authors_fullwidth']));
				else
					delete_post_meta($post_id,'_npr_authors_fullwidth');
				if(isset($_POST['npr_authors_postcount']))
					update_post_meta($post_id,'_npr_authors_postcount',sanitize_text_field($_POST['npr_authors_postcount']));
				else
					delete_post_meta($post_id,'_npr_authors_postcount');
				break;
			case "page_blog.php":
				if(isset($_POST['npr_blog_fullwidth']))
					update_post_meta($post_id,'_npr_blog_fullwidth',sanitize_text_field($_POST['npr_blog_fullwidth']));
				else
					delete_post_meta($post_id,'_npr_blog_fullwidth');
				if(isset($_POST['npr_blog_fulltext']))
					update_post_meta($post_id,'_npr_blog_fulltext',sanitize_text_field($_POST['npr_blog_fulltext']));
				else
					delete_post_meta($post_id,'_npr_blog_fulltext');
				update_post_meta($post_id,'_npr_blog_ppp',sanitize_text_field($_POST['npr_blog_ppp']));
				update_post_meta($post_id,'_npr_blog_categories',$_POST['npr_blog_categories']);
				break;
			case "page_gallery.php":
				if(isset($_POST['npr_gallery_fullwidth']))
					update_post_meta($post_id,'_npr_gallery_fullwidth',sanitize_text_field($_POST['npr_gallery_fullwidth']));
				else
					delete_post_meta($post_id,'_npr_gallery_fullwidth');
				update_post_meta($post_id,'_npr_gallery_ppp',sanitize_text_field($_POST['npr_gallery_ppp']));
				update_post_meta($post_id,'_npr_gallery_categories',$_POST['npr_gallery_categories']);
				update_post_meta($post_id,'_npr_gallery_size',$_POST['npr_gallery_size']);
				break;
			case "page_portfolio.php":
				if(isset($_POST['npr_portfolio_fullwidth']))
					update_post_meta($post_id,'_npr_portfolio_fullwidth',sanitize_text_field($_POST['npr_portfolio_fullwidth']));
				else
					delete_post_meta($post_id,'_npr_portfolio_fullwidth');
				if(isset($_POST['npr_portfolio_description']))
					update_post_meta($post_id,'_npr_portfolio_description',sanitize_text_field($_POST['npr_portfolio_description']));
				else
					delete_post_meta($post_id,'_npr_portfolio_description');
				update_post_meta($post_id,'_npr_portfolio_ppp',sanitize_text_field($_POST['npr_portfolio_ppp']));
				update_post_meta($post_id,'_npr_portfolio_categories',$_POST['npr_portfolio_categories']);
				update_post_meta($post_id,'_npr_portfolio_size',$_POST['npr_portfolio_size']);
				break;
			default:
				break;
		}
	}

}
?>