<?php

add_action('admin_menu', 'npr_add_options');
function npr_add_options() {
    global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	$config_page = basename(__FILE__);

	if (isset($_GET['page']) && $_GET['page'] == $config_page && isset($_POST['save'])) {
		npr_save_settings();
	}
	
	$core_page = add_theme_page($theme_name.' '.esc_html__('Options','above_skyline_demo'),$theme_name . ' theme options', 'edit_theme_options', $theme_slug . '_settings', 'npr_options_page');

	/*$core_page = add_menu_page($theme_name.' '.esc_html__('Options','above_skyline_demo'),$theme_name . ' theme options','switch_themes',basename(__FILE__),'npr_options_page','dashicons-schedule',59.5);*/
	add_action("admin_print_scripts-{$core_page}",'npr_options_page_js');
	add_action("admin_head-{$core_page}",'npr_options_page_css');
	
}

function npr_options_page() {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	
	$npr_buttons = array();
	$npr_panels = array();
	$d = 0;
	
	if(is_array($npr_theme_config)) {
		foreach($npr_theme_config AS $mti => $mtd) {
			$button_id = 'npr_btn_'.$mti.'';
			$m_div_id = 'npr_con_'.$mti.'';
			$m_inner_div = $m_div_id.'_inner';
			$b_tabs = $mtd['tabs']; if(!is_array($b_tabs)) $b_tabs = array();
			$itabs = array();
			$icontents = array();
			$c = '';
			
			$npr_buttons[] = '<li'.($d == 0 ? ' class="selected"' : '').'><a href="#" id="'.$button_id.'" rel="'.$m_div_id.'">'.($mtd['icon'] != '' ? '<i class="fa '.$mtd['icon'].' icon"></i>' : '').''.$mtd['button'].'</a></li>';
			
			if(count($b_tabs) > 0) {
				$c = '';
				$e = 0;
				
				foreach($b_tabs AS $bti => $btd) {
					$irows = array();
					$itabid = 'npr_it_'.$mti.'_'.$bti;
					$itabbtn = $button_id.'_'.$bti;
					$t_div_id = $m_div_id.'_'.$bti;
					
					$rowsa = $btd['rows']; if(!is_array($rowsa)) $rowsa = array();
					
					if(count($rowsa) > 0) {
						foreach($rowsa AS $row) {
							$irows[] = npr_generate_row($row);
						}
					}
					
					$itabs[] = '<li id="'.$itabid.'"'.($e == 0 ? ' class="selected"' : '').'><a href="#" id="'.$itabbtn.'" rel="'.$t_div_id.'">'.($btd['icon'] != '' ? '<i class="fa '.$btd['icon'].' icon"></i>' : '').''.$btd['tab_title'].'</a></li>';
					
					$icontents[] = '<div class="npr_inner_tab" id="'.$t_div_id.'"'.($e == 0 ? ' style="display:block;"' : '').'>
						'.($btd['title'] != '' ? '<h1>'.($btd['icon'] != '' ? '<i class="'.$btd['icon'].' icon"></i>' : '').''.$btd['title'].'</h1>' : '').'
						'.($btd['description'] != '' ? '<div class="npr_con_description">'.$btd['description'].'</div>' : '').'
						'.implode($irows).'
					</div>';
					
					$e++;
				}
				
				$c = '<div id="'.$m_div_id.'"'.($d == 0 ? ' style="display:block;"' : '').'>
					<ul class="npr_top_tabs">
						'.implode($itabs).'
					</ul>
					<div class="npr_inner_cnt" id="'.$m_inner_div.'">
						'.implode($icontents).'
					</div>
					<div class="clear"></div>
				</div>';
				
				$npr_panels[] = $c;
			}
			
			$d++;
			
		}
	} else {
		$npr_panels[] = __('Configuration file is missing. <br/>Please reinstall '.$theme_name.' theme.','above_skyline_demo');
	}
	
	print '
	<script type="text/javascript">
		var npr_blank_img_url = \'\';
	</script>
	<form action="" method="post" id="npr_configs_form" onsubmit="return npr_admin_save_options();">
	<div id="npr_panel">
		<div class="npr_panel_header">'.$theme_name.' theme options<a href="#" id="npr_npanel_fullscreen"><i class="fa fa-arrows-alt"></i></a></div>
		<div class="npr_p_wrap">
			<div class="npr_p_frame">
				<div class="npr_p_tabs">
					<ul id="npr_main_menu">
						'.implode($npr_buttons).'
					</ul>
					<div class="clear"></div>
				</div>
				<div class="npr_p_content" id="npr_main_content_area">
					'.implode($npr_panels).'
				</div>
			</div>
		</div>
		<div class="npr_panel_footer">'.$theme_name.' theme - &copy; 2014 - <a href="http://sirlorem.com/" target="_blank">Sir Lorem WordPress Themes</a></div>
	</div>
	<div class="npr_panel_buttons" id="npr_save_buttons"><button id="npr_save_btn" class="npr_submit" type="submit">'.__('Save','above_skyline_demo').'</button></div>
	<input type="hidden" value="1" name="save" />
	</form>
	<div id="npr_save_loader" class="npr_wbox"></div>
	<div id="npr_save_error" class="npr_wbox">Save Failed!</div>
	<div id="npr_save_ok" class="npr_wbox">Settings Saved</div>
	<script type="text/javascript">
		var npr_theme_version = \''.$theme_version.'\';
		var npr_theme_name = \''.$theme_slug.'\';
		var npr_save_url = \''.npr_nicepanel_url().'\';
		var dbt = \''.__('Save','above_skyline_demo').'\';
	</script>';
}

function npr_options_page_js() {
	$dir = get_template_directory_uri() . '/admin/js';
	wp_register_script('jquery-ui','http://code.jquery.com/ui/1.10.3/jquery-ui.js');
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-ui');
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
	wp_enqueue_script('npr_admin_panel',$dir.'/admin_panel.js');
	
}

function npr_options_page_css() {
	$dir = get_template_directory_uri() . '/admin/css';
	wp_enqueue_style('thickbox');
	wp_enqueue_style('npr_admin_panel_forn','http://fonts.googleapis.com/css?family=Open+Sans:300italic,700italic,800italic,400,300,700,800,600&subset=latin,latin-ext');
	wp_enqueue_style('npr_admin_fontawesome',$dir.'/font-awesome.min.css');
	wp_enqueue_style('npr_admin_panel_css',$dir.'/admin_default.css');
}

function npr_generate_row($row) {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	$row_types = array('header','infobox','image','tooltip','list','text','textbox','checkbox','color','image_upload','category','pages','post_info','select','post_list','category_select','widget_select');
	if(in_array($row['type'],$row_types)) {
		$pre_locations = array('admin' => get_template_directory_uri() . '/admin',
								'template' => get_template_directory_uri());
		if(!isset($row['box'])) $row['box'] = true;
		if(!isset($row['half'])) $row['half'] = false;
		if(!isset($row['color'])) $row['color'] = 'default';
		if($row['type'] == 'header') {
			if(!isset($row['h'])) $row['h'] = 'h3';
			$htag = $row['h'];
			$c .= '<'.$htag.'>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</'.$htag.'>';
		}
		if($row['type'] == 'infobox') {
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description">'.$row['content'].'</div>';
		} elseif($row['type'] == 'image') {
			if(array_key_exists($row['location'],$pre_locations)) $img_url = $pre_locations[$row['location']].$row['file'];
			else $img_url = $row['file'];
			$c.= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description" style="text-align:'.($row['align'] == '' ? 'left' : $row['align']).';"><img src="'.$img_url.'" alt="'.$row['title'].'" style="'.($row['width'] == '' ? '' : 'width:'.$row['width']).'" /></div>';
		} elseif($row['type'] == 'list') {
			$li = array();
			$icons = array('tick' => 'fa fa-ok','x' => 'fa fa-remove');
			$icolors = array('tick' => '#00bb00','x' => '#bb0000');
			$lists = $row['list']; if(!is_array($lists)) $lists = array();
			if(count($lists) > 0) {
				foreach($lists AS $list) {
					$li[] = '<li>'.($list['icon'] != '' ? '<i class="fa fa-li fa fa-large icon '.(array_key_exists($list['icon'],$icons) ? $icons[$list['icon']] : $list['icon']).'"'.($list['color'] != '' ? ' style="color:'.$list['color'].';"' : (array_key_exists($list['icon'],$icolors) ? ' style="color:'.$icolors[$list['icon']].'";' : '')).'></i>' : '').''.$list['title'].'</li>';
				}
			}
			$c .= ($row['title'] != '' ? '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>' : '').'
			<div class="npr_con_description">
				<ul class="npr_feat_list">
				'.implode($li).'
				</ul>
			</div>';
		} elseif($row['type'] == 'npr_installed') {
			/* in development */
		} elseif($row['type'] == 'checkbox') {
			$btn_enabled_text = ($row['enabled'] != '') ? $row['enabled'] : esc_html__('Enabled','above_skyline_demo');
			$btn_disabled_text = ($row['disabled'] != '') ? $row['disabled'] : esc_html__('Disabled','above_skyline_demo');
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description"><a href="#" class="npr_opt_checkbox" rel="npr_'.$row['name'].'"></a><input type="hidden" name="npr_'.$row['name'].'" value="'.esc_html($row['value']).'" id="npr_'.$row['name'].'" /><input type="hidden" id="npr_'.$row['name'].'_enabled" value="'.$btn_enabled_text.'" /><input type="hidden" id="npr_'.$row['name'].'_disabled" value="'.$btn_disabled_text.'" /><input type="hidden" id="npr_'.$row['name'].'_append" value="'.$row['append'].'" /></div>';
		} elseif($row['type'] == 'text') {
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description"><input type="text" name="npr_'.$row['name'].'" value="'.stripslashes($row['value']).'" id="npr_'.$row['name'].'" /></div>';
		} elseif($row['type'] == 'textbox') {
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description"><textarea name="npr_'.$row['name'].'" id="npr_'.$row['name'].'">'.stripslashes($row['value']).'</textarea></div>';
		} elseif($row['type'] == 'image_upload') {
			$logo_file = get_template_directory_uri().'/images/logo.png';
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description">'.($row['preview'] === true ? '<div class="npr_upl_prev"><img src="'.($row['value'] != '' ? $row['value'] : ($row['is_logo'] == true ? $logo_file : $pre_locations['admin'].'/img/blank.png')).'" style="max-width:90%;" /></div>' : '').'
			<div class="npr_upload_field_line"><input type="text" name="npr_'.$row['name'].'" class="npr_upload_field" value="'.esc_html($row['value']).'" id="npr_'.$row['name'].'" /><a href="#" class="npr_upload_reset"><i class="fa fa-remove"></i></a></div>
			<div class="npr_upl_btns"><a class="npr_upload_button" href="#">'.__('Upload','above_skyline_demo').'</a>
			<div class="clearfix"></div></div></div>';
			if($row['preview'] === true) {
				$c .= '<script type="text/javascript">
				'.($row['is_logo'] === true ?
				   'npr_blank_img_url = \''.$logo_file.'\';' :
				   'npr_blank_img_url = \''.get_template_directory_uri() . '/admin/img/blank.png\';').'
				</script>';
			}
		} elseif($row['type'] == 'select') {
			if($row['empty'] === true) $sel_opts .= '<option value=""> </option>';
			if(is_array($row['options'])) {
				foreach($row['options'] AS $k => $d) {
					$sel_opts .= '<option value="'.$k.'"'.($row['value'] == $k ? ' selected="selected"' : '').'>'.$d.'</option>';
				}
			}
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description"><select name="npr_'.$row['name'].'" id="npr_'.$row['name'].'">
			'.$sel_opts.'
			</select></div>';
		} elseif($row['type'] == 'post_info') {
			$ops = explode('|',$row['value']);
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description npr_post_info_box">
			<a href="#" name="user"><i class="fa fa-user icon"></i> '.__('Author','above_skyline_demo').'</a>
			<a href="#" name="date"><i class="fa fa-calendar icon"></i> '.__('Date','above_skyline_demo').'</a>
			<a href="#" name="category"><i class="fa fa-list icon"></i> '.__('Category','above_skyline_demo').'</a>
			<a href="#" name="comments"><i class="fa fa-comments icon"></i> '.__('Comments','above_skyline_demo').'</a>
			<input type="hidden" name="npr_'.$row['name'].'" value="'.esc_html($row['value']).'" id="npr_'.$row['name'].'" />
			</div>';
		} elseif($row['type'] == 'post_list') {
			if($row['max_item'] == 0) $row['max_item'] = 999;
			$pli = array();
			$ops = explode(',',$row['value']);
			$get_all_posts = get_pages();
			foreach($get_all_posts AS $gap) {
				if(in_array($gap->ID,$ops)) {
					$pli[$gap->ID] = $gap;
				} else {
					$post_list_container .= '<li data-postid="'.$gap->ID.'">'.$gap->post_title.'</li>';
				}
			}
			foreach($ops AS $plo) {
				if($plo != '') $post_list_target .= '<li data-postid="'.$pli[$plo]->ID.'">'.$pli[$plo]->post_title.'</li>';
			}
			if($post_list_target != '') $empty_post_list_target = ' style="display:none;"';
			if($post_list_container != '') $empty_all_post = ' style="display:none;"';
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div id="npr_post_list_all_'.$row['name'].'">
				<h4>'.__('Selected Pages','above_skyline_demo').'</h4>
				<div class="post_list_info">'.__('Drag to reorder. Click to remove','above_skyline_demo').'</div>
				<div class="npr_con_description npr_post_list_box npr_post_list_target clearfix" id="npr_post_list_target_'.$row['name'].'">
					<div class="npr_post_list_no_pages_selected" id="npr_post_list_no_pages_'.$row['name'].'"'.$empty_post_list_target.'>'.($row['no_items'] == '' ? __('No pages selected','above_skyline_demo') : $row['no_items']).'</div>
					<ul id="npr_post_list_target_sort_'.$row['name'].'" class="clearfix npr_post_target npr_post_list">
						'.$post_list_target.'
					</ul>
				</div>
				<h4>'.__('Available Pages','above_skyline_demo').'</h4>
				<div class="post_list_info">'.__('Click to add','above_skyline_demo').'</div>
				<div class="npr_con_description npr_post_list_box npr_post_list_container clearfix">
					<div class="npr_post_list_no_pages_selected" id="npr_post_list_no_all_pages_'.$row['name'].'"'.$empty_all_post.'>'.__('No available pages','above_skyline_demo').'</div>
					<ul class="npr_post_container npr__post_list clearfix" id="npr_post_list_container_'.$row['name'].'">
						'.$post_list_container.'
					</ul>
				</div>
			</div>
			<input type="hidden" name="npr_'.$row['name'].'" id="npr_list_list_input_'.$row['name'].'" value="'.$row['value'].'" />
			<script type="text/javascript">
			npr_gen_postlist(\''.$row['name'].'\','.$row['max_item'].');
			</script>';
		} elseif($row['type'] == 'category_select') {
			if($row['empty'] === true) $sel_opts .= '<option value=""> </option>';
			$allcateg = get_categories(array('hide_empty' => 0));
			if(is_array($allcateg)) {
				foreach($allcateg AS $categ) {
					$sel_opts .= '<option value="'.$categ->term_id.'"'.($categ->term_id == $row['value'] ? ' selected="selected"' : '').'>'.$categ->name.'</option>';
				}
			}
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description"><select name="npr_'.$row['name'].'" id="npr_'.$row['name'].'">
			'.$sel_opts.'
			</select></div>';
		} elseif($row['type'] == 'widget_select') {
			$arearows = '';
			$allarea = array('1' => 'sidebar_no','2' => 'sidebar_single_left','3' => 'sidebar_single_right','sidebar_double_left','sidebar_double_right','sidebar_both');
			if(is_array($row['available'])) {
				foreach($row['available'] AS $k) {
					$arearows .= '<a href="#" class="npr_widget_area '.$allarea[$k].' '.($k == $row['value'] ? ' selected' : '').'" rel="'.$k.'"></a>';
				}
			}
			$c .= '<h3>'.($row['icon'] != '' ? '<i class="fa '.$row['icon'].' icon"></i>' : '').''.$row['title'].'</h3>
			<div class="npr_con_description">
				<div id="npr_widget_select_'.$row['name'].'" class="npr_sidebar_selector">
				'.$arearows.'
				</div>
				<div>'.__('Select the sidebar position','above_skyline_demo').'</div>
			</div>
			<input type="hidden" name="npr_'.$row['name'].'" id="npr_sidebar_selector_'.$row['name'].'" value="'.$row['value'].'" />
			<script type="text/javascript">
			npr_gen_sidebar_selector(\''.$row['name'].'\');
			</script>';
		}
		/**/
		if($row['box'] === true) {
			$c = '<div class="npr_option_box'.($row['half'] === true ? ' npr_half' : '').' npr_obc_'.$row['color'].' '.$row['class'].'" id="npr_'.$row['name'].'_box">
				'.$c.'
			</div>';
		} 
		/**/
		if($row['clear'] === true) $c .= '<div class="clear clearfix"></div>';
	}
	return $c;
}

function npr_save_settings() {
	global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
	
	/**/
	foreach($_POST AS $k=>$d) {
		if(strpos($k,'npr_') !== false) {
			$k = str_ireplace('npr_','',$k);
			$ccc .= "'".$k."',";
		}
		
	}
	
	/**/
	
	foreach($_POST AS $k=>$d) {
		if(strpos($k,'npr_') !== false) {
			$k = str_ireplace('npr_','',$k);
			if(in_array($k,$fields)) {
				$fi = $theme_slug.'_'.$k;
				update_option($fi,$_POST['npr_'.$k]);
			}
		}
	}
	if($_GET['ajq'] == 1) {
		print 1;
		exit();
	} else {
		header("location:" . admin_url('admin.php?page=npr_settings_panel.php'));
	}
	
}


function npr_nicepanel_url() {
	return admin_url('admin.php?page=npr_settings_panel.php');
}

?>