<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo("charset"); ?>">
	<?php print npr_template_custom_meta(); ?>
	<meta name="robots" content="all">
	
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	
	<title><?php wp_title();?></title>
			
	<link rel="stylesheet" href="<?php  print esc_url(get_template_directory_uri()) ; ?>/css/font-awesome.min.css">
	<link rel="stylesheet" href="<?php  print esc_url(get_template_directory_uri()) ; ?>/css/lightbox.css">
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="stylesheet" href="<?php  print esc_url(get_template_directory_uri()) ; ?>/css/shortcodes.css" type="text/css" media="screen" />
	
	<?php if(npr_option('responsive_enabled') == 'true') { ?>
		<link rel="stylesheet" href="<?php  print esc_url(get_template_directory_uri()) ; ?>/style_mobile.css" media="screen" />
	<?php } ?>
	
	<?php npr_custom_styles(); ?>
	
	
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<?php if(npr_option('favicon') != '') { ?>
	<link rel="icon" href="<?php print npr_option('favicon');?>" />
	<?php } ?>
	<?php if(npr_option('homescreen_icon') != '') { ?>
	<link rel="apple-touch-icon" href="<?php print npr_option('homescreen_icon');?>" />
	<?php } ?>	
	<!--[if lt IE 9]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	
	<script type="text/javascript">
		var npr_hs_auto = <?php print (npr_option('slider_auto_animation') == 'true' ? 'true' : 'false' );?>;
		var npr_hs_auto_speed = <?php print (npr_option('slider_animation_speed') != '' ? npr_option('slider_animation_speed') : 0);?>;
	</script>
	
	<?php add_action( 'wp_enqueue_scripts', 'npr_template_header' ); ?>
	
	<?php wp_head(); ?>
	
	<?php if(npr_option('tracking_code_head') != '') { print stripslashes(npr_option('tracking_code_head')); } ?>

	
</head>
<body <?php body_class(  ); ?>>
<div id="wrapper">
	<?php
	$header_status = npr_header_ok();
	if($header_status['show']) { ?>
	<div id="header_container" class="header_shadow npr_header"<?php print ($header_status['html'] != '' ? ' style="'.$header_status['html'].'" ' : ''); ?>>
		<header id="main_header" class="header_shadow">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" id="logo">
				<?php $logo = (npr_option('logo') != '') ? npr_option('logo') : get_template_directory_uri().'/images/logo.png'; ?>
				<img src="<?php print esc_attr($logo); ?>" alt="<?php print esc_attr(get_bloginfo('name')); ?>" />
			</a>
			<nav id="main_nav">
				<?php $m = wp_nav_menu(
									   array(
											 'theme_location' => 'primary-menu',
											 'container' => '',
											 'echo' => false,
											 'fallback_cb' => '',
											 'sub_link_before' => '<i class="fa fa-chevron-right"></i>',
											 'walker' => new nicepress_walker_nav_menu )
						);
				print $m; ?>
			</nav>
			<?php if(npr_option('searchbox') == 'true') { ?>
			<div id="top_search">
				<form method="get" action="<?php print home_url('/');?>">
					<input type="text" placeholder="<?php print __('Search...','above_skyline_demo');?>" name="s" id="top_searchbox" value="<?php the_search_query(); ?>" />
					<button type="submit"><?php print __('Search...','above_skyline_demo');?></button>
				</form>
			</div>
			<?php } ?>
			<?php if(npr_option('responsive_enabled') == 'true') {
				$swidth = (npr_option('callnow_button') == 'false' && npr_option('location_button') == 'false' ?
						   ' class="nobutton"' :
						   ((npr_option('location_button') == 'true' && npr_option('callnow_button') == 'false') ||
							(npr_option('location_button') == 'false' && npr_option('callnow_button') == 'true')
							? ' class="onebutton"' : '')
						   )?>
			<div id="mobile_header"<?php print $swidth;?>>
				<a href="#" class="mobile_menu" id="mobile_menu"><i class="fa fa-list"></i><span><?php print __('Show menu','above_skyline_demo');?></span></a>
				<?php if(npr_option('searchbox') == 'true') { ?>
				<div id="mobile_search">
					<form method="get" action="<?php print home_url('/');?>">
						<input type="text" placeholder="<?php print __('Search...','above_skyline_demo');?>" name="s" id="top_mobile_searchbox" />
						<button type="submit"><?php print __('Search...','above_skyline_demo');?></button>
					</form>
				</div>
				<?php } ?>
				<?php if(npr_option('callnow_button') == 'true') { ?>
					<a class="mobile_menu" href="tel:<?php print npr_option('callnow_number');?>" id="mobile_call"><i class="fa fa-phone"></i><span><?php print __('Call','above_skyline_demo');?></span></a>
				<?php } ?>
				<?php if(npr_option('location_button') == 'true') { ?>
					<a class="mobile_menu" href="<?php print npr_option('location_url');?>" id="mobile_location"><i class="fa fa-map-marker"></i><span><?php print __('Location','above_skyline_demo');?></span></a>
				<?php } ?>
				<div id="mobile_header_nav_open">
					<?php print $m;?>
				</div>
			</div>
			<?php } ?>
		</header>
	</div>
	
	<?php } ?>
	
	<div id="content_area">
		
	


