<?php
/*
Template Name: Authors Page
*/

$fullwidth = (get_post_meta($post->ID,'_npr_authors_fullwidth',true) == 'true') ? true : false;
$showPostCount = (get_post_meta($post->ID,'_npr_authors_postcount',true) == 'true') ? true : false;

$sidebarPosition = npr_sidebar_position();
if($sidebarPosition == 'fullwidth') $fullwidth = true;

get_header(); 
get_template_part('template_part/breadcrumb');

if(npr_option('single_page_image') == 'true') {
	if($fullwidth === true) {
		$imsa = array(920,920);
	} else {
		$imsa = array(600,600);
	}
	$thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$imsa);
	if($thumb !== false) {
		$thumb = '<div class="content-header">
			<div class="content-thumb"><img src="'.$thumb[0].'" alt="'.$post->post_title.'" /></div>
		</div>';
	}
}
?>
<div class="content-wrap<?php print ($fullwidth === true ? ' fullwidth' : ' not_fullwidth ' . $sidebarPosition);?>">
	<?php while(have_posts()) : the_post(); ?>
		<div class="content-area">
			<?php print $thumb;?>
			<article id="post-<?php print $post->ID;?>" <?php post_class('clearfix '.($thumb != '' ? ' title-thumb' : '').''); ?>>
				<div class="content-title"><h1><?php the_title(); ?></h1></div>
				<div class="content">
				<?php the_content(); ?>
				
				<div class="authorsList clearfix">
					<?php
					$athrs = get_users(array('who' => 'authors','orderby' => 'display_name'));
					if($athrs) {
						foreach($athrs AS $athr) { ?>
							<article class="authorBox clearfix">
								<div class="authorWrap">
									<div class="authorAvatar">
										<?php print get_avatar($athr->user_email,$size = '110');?>
									</div>
									<h2 class="authorName">
										<strong><a href="<?php print esc_url(get_author_posts_url($athr->ID));?>"><?php print esc_html($athr->display_name);?></a></strong>
										<?php print ($showPostCount ? ' <span class="postCount">('.count_user_posts($athr->id).')</span>' : '');?>
									</h2>
									<div class="authorInfo">
										<?php print wpautop(get_the_author_meta('description',$athr->ID));?>
									</div>
								</div>
							</article>
						<?php }
					}
					?>
				</div>
				
				</div>
			</article>
			<?php (comments_open() && npr_option('single_page_comment') == 'true' ? comments_template('',true) : '');?>
		</div>		
	<?php endwhile; ?>
	<?php ($fullwidth !== true) ? get_sidebar() : '';?>
	<div class="clear"></div>
</div>
<?php get_footer(); ?>