<?php
/*
Template Name: Blog Page
*/

$fullwidth = (get_post_meta($post->ID,'_npr_blog_fullwidth',true) == 'true') ? true : false;
$showFullPost = (get_post_meta($post->ID,'_npr_blog_fulltext',true) == 'true') ? 1 : 0;
$postPerPage = (get_post_meta($post->ID,'_npr_blog_ppp',true) > 0) ? get_post_meta($post->ID,'_npr_blog_ppp',true) : 10;
$postPage = get_query_var('paged');
$getPostCategories = get_post_meta($post->ID,'_npr_blog_categories',true);
if(!is_array($getPostCategories)) $getPostCategories = array();
$postCategories = implode(',',$getPostCategories);

$sidebarPosition = npr_sidebar_position();
if($sidebarPosition == 'fullwidth') $fullwidth = true;

get_header(); 
get_template_part('template_part/breadcrumb'); 

if(npr_option('single_page_image') == 'true') {
	if($fullwidth === true) {
		$imsa = array(920,920);
	} else {
		$imsa = array(600,600);
	}
	$thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$imsa);
	if($thumb !== false) {
		$thumb = '<div class="content-header">
			<div class="content-thumb"><img src="'.$thumb[0].'" alt="'.$post->post_title.'" /></div>
		</div>';
	}
}
?>
<div class="content-wrap<?php print ($fullwidth === true ? ' fullwidth' : ' not_fullwidth ' . $sidebarPosition);?>">
		<div class="content-area">
			<?php print $thumb;?>
			<article id="post-<?php print $post->ID;?>" <?php post_class('clearfix '.($thumb != '' ? ' title-thumb' : '').''); ?>>
				<div class="content-title"><h1><?php the_title(); ?></h1></div>
				<div class="content">
					
				<?php while(have_posts()) : the_post(); ?>
				
				<?php the_content(); ?>
				
				<?php endwhile; ?>
				
				</div>
			</article>
				
			<div class="post_list">
			<?php
			global $more;
			$more = $showFullPost;
			query_posts('posts_per_page=' . $postPerPage . '&paged=' . $postPage . '&cat=' . $postCategories . '');
			if (have_posts()) : while (have_posts()) : the_post(); ?>
				
				
				<?php get_template_part('template_part/post_prew'); ?>
				
				
			<?php
			endwhile;
			if (function_exists('wp_pagenavi'))
				wp_pagenavi();
			else
				get_template_part('template_part/navi');
			
			else : ?>
				<?php get_template_part('template_part/no_results'); ?>
			<?php endif;
			wp_reset_query();
			?>
			</div>
				
				
			<?php (comments_open() && npr_option('single_page_comment') == 'true' ? comments_template('',true) : '');?>
		</div>		
	
	<?php ($fullwidth !== true) ? get_sidebar() : '';?>
	<div class="clear"></div>
</div>
<?php get_footer(); ?>