<?php
/*
Template Name: Gallery Page
*/

$fullwidth = (get_post_meta($post->ID,'_npr_gallery_fullwidth',true) == 'true') ? true : false;
$postPerPage = (get_post_meta($post->ID,'_npr_gallery_ppp',true) > 0) ? get_post_meta($post->ID,'_npr_gallery_ppp',true) : 10;
$postPage = get_query_var('paged');
$getPostCategories = get_post_meta($post->ID,'_npr_gallery_categories',true);
if(!is_array($getPostCategories)) $getPostCategories = array();
$postCategories = implode(',',$getPostCategories);

$sidebarPosition = npr_sidebar_position();
if($sidebarPosition == 'fullwidth') $fullwidth = true;

$gallerySize = 'gallery-small';
$imageWidth = array(170,127);
$imageInRows = 3;
switch(get_post_meta($post->ID,'_npr_gallery_size',true)) {
	case '1':
		$gallerySize = 'gallery-small';
		$imageWidth = ($fullwidth) ? array(200,150) : array(170,127);
		$imageInRows = ($fullwidth) ? 4 : 3;
		break;
	case '2':
		$gallerySize = 'gallery-medium';
		$imageWidth = array(260,195);
		$imageInRows = ($fullwidth) ? 3 : 2;
		break;
	case '3':
		$gallerySize = 'gallery-large';
		$imageWidth = ($fullwidth) ? array(410,307) : array(550,412);
		$imageInRows = ($fullwidth) ? 2 : 1;
		break;
	default:
		$gallerySize = 'gallery-small';
		break;
}

get_header(); 
get_template_part('template_part/breadcrumb'); 

if(npr_option('single_page_image') == 'true') {
	if($fullwidth === true) {
		$imsa = array(920,920);
	} else {
		$imsa = array(600,600);
	}
	$thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$imsa);
	if($thumb !== false) {
		$thumb = '<div class="content-header">
			<div class="content-thumb"><img src="'.$thumb[0].'" alt="'.$post->post_title.'" /></div>
		</div>';
	}
}
?>
<div class="content-wrap<?php print ($fullwidth === true ? ' fullwidth' : ' not_fullwidth ' . $sidebarPosition);?>">
		<div class="content-area">
			<?php print $thumb;?>
			<article id="post-<?php print $post->ID;?>" <?php post_class('clearfix '.($thumb != '' ? ' title-thumb' : '').''); ?>>
				<div class="content-title"><h1><?php the_title(); ?></h1></div>
				<div class="content">
					
				<?php while(have_posts()) : the_post(); ?>
				
				<?php the_content(); ?>
				
				<?php endwhile; ?>
				
				<ul class="gallery-list <?php print $gallerySize;?> clearfix">
				<?php
				$ii = 0;
				query_posts('posts_per_page=' . $postPerPage . '&paged=' . $postPage . '&cat=' . $postCategories . '');
				if ($postCategories != '' && have_posts()) : while (have_posts()) : the_post();
					$thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$imageWidth);
					$fullimg = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),'full');
					$ii++;
					?>
					
					<li>
						<a href="<?php print $fullimg[0];?>" rel="npr_gallery">
							<span class="picWrap">
								<?php print ($thumb !== false ? '<img src="' . $thumb[0] . '" alt="' . esc_html($post->post_title) . '" />' : '');?>
								<i class="icon fa fa-search"></i>
							</span>
						</a>
					</li>
					
					<?php if(($ii % $imageInRows) == 0) { ?>
					</ul>
					<ul class="gallery-list <?php print $gallerySize;?> clearfix">
					<?php } ?>					
					
				<?php
				endwhile;
				if (function_exists('wp_pagenavi'))
					wp_pagenavi();
				else
					get_template_part('template_part/navi');
				
				else : ?>
					<?php get_template_part('template_part/no_results'); ?>
				<?php endif;
				wp_reset_query();
				?>
				</ul>
			
				</div>
			</article>
				
			<?php (comments_open() && npr_option('single_page_comment') == 'true' ? comments_template('',true) : '');?>
		</div>		
	
	<?php ($fullwidth !== true) ? get_sidebar() : '';?>
	<div class="clear"></div>
</div>
<?php get_footer(); ?>