<?php
/*
Template Name: Sitemap
*/

$fullwidth = (get_post_meta($post->ID,'_npr_sitemap_fullwidth',true) == 'true') ? true : false;

$sidebarPosition = npr_sidebar_position();
if($sidebarPosition == 'fullwidth') $fullwidth = true;

get_header(); 
get_template_part('template_part/breadcrumb'); 

if(npr_option('single_page_image') == 'true') {
	if($fullwidth === true) {
		$imsa = array(920,920);
	} else {
		$imsa = array(600,600);
	}
	$thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$imsa);
	if($thumb !== false) {
		$thumb = '<div class="content-header">
			<div class="content-thumb"><img src="'.$thumb[0].'" alt="'.$post->post_title.'" /></div>
		</div>';
	}
}
?>
<div class="content-wrap<?php print ($fullwidth === true ? ' fullwidth' : ' not_fullwidth ' . $sidebarPosition);?>">
	<?php while(have_posts()) : the_post(); ?>
		<div class="content-area">
			<?php print $thumb; ?>
			<article id="post-<?php print $post->ID; ?>" <?php post_class('clearfix '.($thumb != '' ? ' title-thumb' : '').''); ?>>
				<div class="content-title"><h1><?php the_title(); ?></h1></div>
				<div class="content">
				<?php the_content(); ?>
				<div class="sitemap clearfix">
					<div class="clmn">
						<h2><?php print esc_html__('Pages','above_skyline_demo');?></h2>
						<ul id="clmn_pages"><?php print wp_list_pages('echo=0&title_li=&link_before=<i class="fa fa-file icon"></i>');?></ul>
					</div> 
		
					<div class="clmn">
						<h2><?php print esc_html__('Categories','above_skyline_demo');?></h2>
						<ul id="clmn_categories">
							<?php
							$catgs = get_categories('hide_empty=0');
							if($catgs) {
								foreach($catgs AS $catg) { ?>
									<li><a href="<?php print esc_url(get_category_link($catg->term_id));?>"><i class="fa fa-list icon"></i><?php print esc_html($catg->name);?></a></li>
								<?php }
							}
							?>
						</ul>
					</div> 
		
					<div class="clmn">
						<h2><?php print esc_html__('Tags','above_skyline_demo');?></h2>
						<ul id="clmn_tags">
							<?php
							$tags = get_tags('hide_empty=0');
							if($tags) {
								foreach ($tags as $tag) { ?>
									<li><a href="<?php print esc_url(get_tag_link($tag->term_id));?>"><i class="fa fa-tag icon"></i><?php print esc_html($tag->name);?></a></li>
								<?php }
							}
							?>
						</ul>
					</div> 
		
					<div class="clmn">
						<h2><?php print esc_html__('Authors','above_skyline_demo');?></h2>
						<ul id="clmn_authors">
						<?php
						$athrs = get_users('who=authors');
						if($athrs) {
							foreach($athrs AS $athr) { ?>
								<li><a href="<?php print esc_url(get_author_posts_url($athr->ID));?>"><i class="fa fa-user icon"></i><?php print esc_html($athr->user_nicename);?> (<?php print count_user_posts($athr->id);?>)</a></li>
							<?php }
						}
						?>
						</ul>
					</div>
				</div>
				</div>
			</article>
			<?php (comments_open() && npr_option('single_page_comment') == 'true' ? comments_template('',true) : '');?>
		</div>		
	<?php endwhile; ?>
	<?php ($fullwidth !== true) ? get_sidebar() : '';?>
	<div class="clear"></div>
</div>
<?php get_footer(); ?>
